
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(2111628961, 2135918599);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test002"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 0);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 1);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test003"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, (-3.0400864626531603d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test004"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test005"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array5);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, 0.8169805481334202d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test006"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-1.2489301280996095d), (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.18700029835284204d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test007"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-99999999989L), (java.lang.Number)(-4.234495723952107d), true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-557104359420196479L), (-1721030945645011L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test009"); }


    float[] f_array2 = new float[] { 0.0f, 0.0f };
    float[] f_array4 = new float[] { 10.0f };
    float[] f_array5 = new float[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array5);
    boolean b7 = org.apache.commons.math.util.MathUtils.equals(f_array2, f_array4);
    float[] f_array9 = new float[] { 10.0f };
    float[] f_array10 = null;
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(f_array9, f_array10);
    float[] f_array13 = new float[] { 10.0f };
    float[] f_array14 = new float[] {  };
    boolean b15 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array14);
    float[] f_array17 = new float[] { 10.0f };
    float[] f_array18 = null;
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(f_array17, f_array18);
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array17);
    boolean b21 = org.apache.commons.math.util.MathUtils.equals(f_array10, f_array13);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array2, f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test010"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)100.00001f);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test011"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D1, localizable2, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test013"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double d10 = org.apache.commons.math.util.MathUtils.distance1(d_array4, d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array4);
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    double[] d_array17 = new double[] {  };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distance1(d_array17, d_array22);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, d_array_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable15, localizable16, (java.lang.Object[])d_array_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array26);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)2.4954992684985835d, (java.lang.Object[])d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test014"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    double d17 = vector3D5.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation27.applyInverseTo(rotation33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d50 = vector3D46.dotProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D43.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    double d52 = vector3D46.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D42.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = rotation27.applyInverseTo(vector3D46);
    double d55 = vector3D5.distance((org.apache.commons.math.geometry.Vector)vector3D54);
    double d56 = vector3D5.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == (-0.5309649148733837d));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test015"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    double d34 = vector3D28.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = rotation9.applyInverseTo(vector3D28);
    double d37 = rotation9.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation9.applyInverseTo(vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException49 = new org.apache.commons.math.exception.NullArgumentException(localizable44, obj_array48);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable43, obj_array48);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D41, localizable42, obj_array48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = vector3D41.negate();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation54 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D52, 6.283185307179586d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D40.crossProduct((org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D39.crossProduct((org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d63 = vector3D59.distance1((org.apache.commons.math.geometry.Vector)vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = vector3D62.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation66 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D64, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d74 = vector3D70.dotProduct((org.apache.commons.math.geometry.Vector)vector3D73);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D67.crossProduct((org.apache.commons.math.geometry.Vector)vector3D70);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = vector3D64.add((org.apache.commons.math.geometry.Vector)vector3D70);
    java.lang.Object obj77 = null;
    boolean b78 = vector3D64.equals(obj77);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = vector3D52.add((org.apache.commons.math.geometry.Vector)vector3D64);
    double d80 = vector3D79.getNorm1();
    org.apache.commons.math.geometry.Vector vector81 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d82 = vector3D79.distance1(vector81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(23.6037784277151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.6037784277151d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test017"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array0, (-0.006671503387875114d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test018"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d1 = rotation0.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.normalize();
    boolean b20 = vector3D19.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = rotation0.applyInverseTo(vector3D19);
    double d22 = rotation0.getQ2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test019"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 8.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test020"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(11L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test021"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.dotProduct((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D3.crossProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable15, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable14, obj_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D12, localizable13, obj_array19);
    double d23 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D6, vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d31 = vector3D27.dotProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D32, vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D6.subtract((org.apache.commons.math.geometry.Vector)vector3D33);
    double d36 = vector3D2.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    double d37 = vector3D2.getZ();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = rotation0.applyInverseTo(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test022"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d21 = vector3D20.getAlpha();
    double d22 = vector3D13.distanceSq((org.apache.commons.math.geometry.Vector)vector3D20);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D13.normalize();
    java.text.NumberFormat numberFormat24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str25 = vector3D13.toString(numberFormat24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test023"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(1768134597, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1768134597);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test024"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-1721030945645000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test025"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(101.0d, 1.1748181705985368d, 4.332553495674714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test026"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d7 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D2, vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable22, obj_array26);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array26);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D19, localizable20, obj_array26);
    double d30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D13, vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d37 = vector3D33.distance1((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D36.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.dotProduct((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D39.crossProduct((org.apache.commons.math.geometry.Vector)vector3D42);
    double d48 = vector3D42.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D38.crossProduct((org.apache.commons.math.geometry.Vector)vector3D42);
    double d50 = vector3D13.distance((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d58 = vector3D54.dotProduct((org.apache.commons.math.geometry.Vector)vector3D57);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = vector3D51.crossProduct((org.apache.commons.math.geometry.Vector)vector3D54);
    boolean b60 = vector3D51.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d65 = vector3D51.distanceSq((org.apache.commons.math.geometry.Vector)vector3D64);
    double d66 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D6.add(4.662692471545614d, (org.apache.commons.math.geometry.Vector)vector3D51);
    double d68 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D0, vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.114625959473734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 2.6074706311510143d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test027"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = vector3D2.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D4);
    double d6 = vector3D2.getDelta();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    double[] d_array13 = new double[] {  };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array18);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, d_array_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable11, localizable12, (java.lang.Object[])d_array_array22);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array9, d_array_array22);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException26 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable8, (java.lang.Object[])d_array_array22);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d6, localizable7, (java.lang.Object[])d_array_array22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(d_array_array22, 0.8769239607490266d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException");
    } catch (org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test028"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    double d17 = rotation16.getQ2();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = rotation16.getAxis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-47.62282323128007d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-30.42227840157436d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test030"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d2 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double d13 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array7);
    double d14 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test031"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    java.lang.String str11 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D1, 0.0d, vector3D8, 100.0d, vector3D18);
    boolean b20 = vector3D1.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation21 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = rotation21.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D1.crossProduct((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    double d31 = vector3D26.getX();
    double d32 = vector3D1.distanceInf((org.apache.commons.math.geometry.Vector)vector3D26);
    boolean b33 = vector3D1.isInfinite();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.5309649148733837d, 1.1102230246251565E-16d);
    double d38 = vector3D37.getAlpha();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = vector3D1.subtract(1.4142135623730951d, (org.apache.commons.math.geometry.Vector)vector3D37);
    double d40 = vector3D1.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0.86; 0; -0.51}"+ "'", str11.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5309649148733837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test032"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    java.lang.String str11 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D1, 0.0d, vector3D8, 100.0d, vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D18.orthogonal();
    double d21 = vector3D20.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0.86; 0; -0.51}"+ "'", str11.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test033"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D4, localizable5, obj_array11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d25 = vector3D21.distance1((org.apache.commons.math.geometry.Vector)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = vector3D24.orthogonal();
    java.lang.String str27 = vector3D24.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D31.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D17, 0.0d, vector3D24, 100.0d, vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D24.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d45 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D38.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException55 = new org.apache.commons.math.exception.NullArgumentException(localizable50, obj_array54);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException56 = new org.apache.commons.math.exception.MathArithmeticException(localizable49, obj_array54);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D47, localizable48, obj_array54);
    double d58 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D41, vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d67 = vector3D63.dotProduct((org.apache.commons.math.geometry.Vector)vector3D66);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D60.crossProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D4, 0.0d, vector3D24, Double.POSITIVE_INFINITY, vector3D47, 0.0d, vector3D68);
    double d70 = vector3D4.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = vector3D4.orthogonal();
    org.apache.commons.math.geometry.Space space72 = vector3D4.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation74 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D4, 0.9936139681890964d);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Throwable throwable76 = null;
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    double[] d_array78 = new double[] {  };
    double[] d_array79 = org.apache.commons.math.util.MathUtils.copyOf(d_array78);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array78);
    double[] d_array81 = org.apache.commons.math.util.MathUtils.copyOf(d_array78);
    double[] d_array82 = new double[] {  };
    double[] d_array83 = org.apache.commons.math.util.MathUtils.copyOf(d_array82);
    double d84 = org.apache.commons.math.util.MathUtils.distance1(d_array78, d_array83);
    double[] d_array85 = new double[] {  };
    double[] d_array86 = org.apache.commons.math.util.MathUtils.copyOf(d_array85);
    double[][] d_array_array87 = new double[][] { d_array85 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array83, d_array_array87);
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException(throwable76, localizable77, (java.lang.Object[])d_array_array87);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.9936139681890964d, localizable75, (java.lang.Object[])d_array_array87);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException91 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.9440616162109872d, (java.lang.Object[])d_array_array87);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException92 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])d_array_array87);
    java.lang.Throwable[] throwable_array93 = notFiniteNumberException92.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "{0.86; 0; -0.51}"+ "'", str27.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array93);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(16.691318277637833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 17.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test035"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(1.2037266279837113d, 2.0284540811844214d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test036"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1721030945645000L), (-17210309456450L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17210309456450L));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test037"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(1014L, (-557104359410196479L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-557104359410195465L));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-0.99999994f), 1768134597, (-1879291247));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test039"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8769239607490266d, vector3D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test040"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException6 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number7 = nonMonotonousSequenceException6.getArgument();
    boolean b8 = nonMonotonousSequenceException6.getStrict();
    boolean b9 = nonMonotonousSequenceException6.getStrict();
    int i10 = nonMonotonousSequenceException6.getIndex();
    int i11 = nonMonotonousSequenceException6.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = nonMonotonousSequenceException6.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException14 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1004L, (java.lang.Number)(-1.5485138917033876d), 2111628961, orderDirection12, false);
    int i15 = nonMonotonousSequenceException14.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100.0d+ "'", number7.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2111628961);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test041"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { localizable8 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable7, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array14);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(localizable3, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0L, obj_array14);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException21 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable0, obj_array14);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj23 = notARotationMatrixException21.getContext("org.apache.commons.math.exception.NonMonotonousSequenceException: points -1,879,291,248 and -1,879,291,247 are not strictly decreasing (1.175 <= 1.169)");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test042"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-1063030291), 1520147375);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test043"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D5.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d25 = vector3D21.distance1((org.apache.commons.math.geometry.Vector)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = vector3D24.orthogonal();
    double d27 = vector3D26.getNorm();
    org.apache.commons.math.geometry.Space space28 = vector3D26.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D5.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d36 = vector3D32.distance1((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = vector3D35.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d45 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D38.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    double d47 = vector3D41.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D37.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D41.getZero();
    org.apache.commons.math.geometry.Space space50 = vector3D41.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NEGATIVE_INFINITY;
    double d52 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    boolean b53 = vector3D51.isNaN();
    double d54 = vector3D26.distance((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d61 = vector3D57.distance1((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = vector3D60.orthogonal();
    double d63 = vector3D60.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d70 = vector3D66.distance1((org.apache.commons.math.geometry.Vector)vector3D69);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = vector3D69.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d79 = vector3D75.dotProduct((org.apache.commons.math.geometry.Vector)vector3D78);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D72.crossProduct((org.apache.commons.math.geometry.Vector)vector3D75);
    double d81 = vector3D75.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D71.crossProduct((org.apache.commons.math.geometry.Vector)vector3D75);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D75.getZero();
    org.apache.commons.math.geometry.Space space84 = vector3D75.getSpace();
    boolean b86 = vector3D75.equals((java.lang.Object)(-0.002283673780875045d));
    double d87 = vector3D60.distance((org.apache.commons.math.geometry.Vector)vector3D75);
    double d88 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D51, vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test044"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.9440892412430647d, (-0.0011563736804210882d));
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D10, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation18 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation19 = rotation12.applyInverseTo(rotation18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.distance1((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D25.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d35 = vector3D31.dotProduct((org.apache.commons.math.geometry.Vector)vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D28.crossProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    double d37 = vector3D31.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D27.crossProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation12.applyInverseTo(vector3D31);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException49 = new org.apache.commons.math.exception.NullArgumentException(localizable44, obj_array48);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException(localizable43, obj_array48);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D41, localizable42, obj_array48);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D31, localizable40, obj_array48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D31.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D53.scalarMultiply(3.8834864931005E-310d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D2.add((org.apache.commons.math.geometry.Vector)vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.8398328944570213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6096747492667893d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test046"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(11.721317282870464d, 11.873090547428804d, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test047"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(10, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test048"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 2877.374884636172d, 0.0d, 0.02702666592309502d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation6 = rotation5.revert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation6);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test049"); }


    double d2 = org.apache.commons.math.util.MathUtils.log((-0.24276462021970863d), 0.6096747492667893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test050"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test051"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)1, (java.lang.Number)(byte)(-1), 0, orderDirection3, false);
    java.lang.Number number6 = nonMonotonousSequenceException5.getArgument();
    boolean b7 = nonMonotonousSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test052"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(Float.NaN, (-1.0f), 2129472766);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test053"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D8, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D16.orthogonal();
    java.lang.String str19 = vector3D16.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D8.subtract((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException(localizable26, obj_array30);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math.exception.MathArithmeticException(localizable25, obj_array30);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D23, localizable24, obj_array30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d44 = vector3D40.distance1((org.apache.commons.math.geometry.Vector)vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.orthogonal();
    java.lang.String str46 = vector3D43.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D50.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D36, 0.0d, vector3D43, 100.0d, vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D43.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.dotProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException74 = new org.apache.commons.math.exception.NullArgumentException(localizable69, obj_array73);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException75 = new org.apache.commons.math.exception.MathArithmeticException(localizable68, obj_array73);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D66, localizable67, obj_array73);
    double d77 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D60, vector3D66);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d86 = vector3D82.dotProduct((org.apache.commons.math.geometry.Vector)vector3D85);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D87 = vector3D79.crossProduct((org.apache.commons.math.geometry.Vector)vector3D82);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D23, 0.0d, vector3D43, Double.POSITIVE_INFINITY, vector3D66, 0.0d, vector3D87);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    double d90 = vector3D23.distance1((org.apache.commons.math.geometry.Vector)vector3D89);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d93 = vector3D92.getAlpha();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D95 = vector3D92.scalarMultiply(4.332553495674714d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D96 = vector3D23.add(0.003849489875520362d, (org.apache.commons.math.geometry.Vector)vector3D92);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Rotation rotation97 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D0, vector3D8, vector3D21, vector3D23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{0.86; 0; -0.51}"+ "'", str19.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "{0.86; 0; -0.51}"+ "'", str46.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D96);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test054"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance1(d_array2, d_array7);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable0, localizable1, (java.lang.Object[])d_array_array11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj15 = mathException13.getContext("{0.51; 0; 0.86}");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test055"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d1 = rotation0.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array10);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D3, localizable4, obj_array10);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D3.scalarMultiply(1003.6020174906616d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = rotation0.applyTo(vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation26 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D24, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d34 = vector3D30.dotProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D27.crossProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D24.add((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D41.scalarMultiply(0.7853981633974483d);
    double d45 = vector3D36.distance((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation47 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D36, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation49 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D36, (-2.4484853516237646d));
    double d50 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D16, vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test056"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.9058914717852132d, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test057"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D0, 2.2459549979877247d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.dotProduct((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D12.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException(localizable24, obj_array28);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array28);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D21, localizable22, obj_array28);
    double d32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D15, vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.dotProduct((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D33.crossProduct((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D41, vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D15.subtract((org.apache.commons.math.geometry.Vector)vector3D42);
    double d45 = vector3D11.dotProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D51.orthogonal();
    java.lang.String str54 = vector3D51.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d62 = vector3D58.distance1((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation65 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D63, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation71 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation72 = rotation65.applyInverseTo(rotation71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d79 = vector3D75.distance1((org.apache.commons.math.geometry.Vector)vector3D78);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D78.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D87 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d88 = vector3D84.dotProduct((org.apache.commons.math.geometry.Vector)vector3D87);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = vector3D81.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    double d90 = vector3D84.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D80.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = rotation65.applyInverseTo(vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D93 = vector3D51.subtract(309.6897575736956d, (org.apache.commons.math.geometry.Vector)vector3D84);
    double d94 = vector3D15.distanceSq((org.apache.commons.math.geometry.Vector)vector3D84);
    double d95 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D0, vector3D84);
    org.apache.commons.math.geometry.Vector vector96 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D97 = vector3D84.crossProduct(vector96);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{0.86; 0; -0.51}"+ "'", str54.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d95, Double.NaN, 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test058"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)11L);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test059"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    double d8 = vector3D7.getNorm();
    org.apache.commons.math.geometry.Space space9 = vector3D7.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    double d14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D7, vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException(localizable21, obj_array25);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array25);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D18, localizable19, obj_array25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.distance1((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.orthogonal();
    java.lang.String str41 = vector3D38.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D45.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D31, 0.0d, vector3D38, 100.0d, vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = vector3D38.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d59 = vector3D55.dotProduct((org.apache.commons.math.geometry.Vector)vector3D58);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = vector3D52.crossProduct((org.apache.commons.math.geometry.Vector)vector3D55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException69 = new org.apache.commons.math.exception.NullArgumentException(localizable64, obj_array68);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException70 = new org.apache.commons.math.exception.MathArithmeticException(localizable63, obj_array68);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D61, localizable62, obj_array68);
    double d72 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D55, vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d81 = vector3D77.dotProduct((org.apache.commons.math.geometry.Vector)vector3D80);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D74.crossProduct((org.apache.commons.math.geometry.Vector)vector3D77);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D18, 0.0d, vector3D38, Double.POSITIVE_INFINITY, vector3D61, 0.0d, vector3D82);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = vector3D7.add(4.332553495674714d, (org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D86 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d91 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D86, vector3D90);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, vector3D90);
    double d93 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D38, vector3D90);
    double d94 = vector3D90.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 137.1376811277123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "{0.86; 0; -0.51}"+ "'", str41.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 4.114625959473734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.2544835679683088d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 5.798903092315069d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test060"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 127);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger5);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1004L);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 127);
    java.math.BigInteger bigInteger16 = null;
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 127);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger21);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger25);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 25100000000000L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test061"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.0d, (-0.23810534312344392d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test062"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(6.80296220485724d, 0.0d, 2.9371985199859196E8d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test063"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array10);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, d_array_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable3, localizable4, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test064"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = vector3D2.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D4);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.scalarMultiply(0.7853981633974483d);
    double d8 = vector3D7.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test065"); }


    double d2 = org.apache.commons.math.util.FastMath.max(157.4327942196885d, 3.14698590945101E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.14698590945101E14d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test066"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(Float.NaN, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.27493417530327674d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test068"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable1, (java.lang.Number)(-0.0f), number3, true);
    java.lang.Number number6 = numberIsTooSmallException5.getMin();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    java.lang.Throwable[] throwable_array9 = mathIllegalArgumentException8.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test069"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation7 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = rotation0.applyInverseTo(rotation7);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 0.09851270695639507d, 582.868953786402d, 0.8169805481334202d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = rotation8.applyTo(rotation14);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = rotation16.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation23 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation24 = rotation16.applyInverseTo(rotation23);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation25 = rotation23.revert();
    double d26 = rotation25.getQ1();
    double d27 = rotation25.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation28 = rotation8.applyInverseTo(rotation25);
    double d29 = rotation8.getAngle();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == (-0.8623188722876839d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test070"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D1, localizable2, obj_array8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    java.lang.String str24 = vector3D21.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D28.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D14, 0.0d, vector3D21, 100.0d, vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D21.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable47, obj_array51);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException53 = new org.apache.commons.math.exception.MathArithmeticException(localizable46, obj_array51);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D44, localizable45, obj_array51);
    double d55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D38, vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.dotProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D1, 0.0d, vector3D21, Double.POSITIVE_INFINITY, vector3D44, 0.0d, vector3D65);
    double d67 = vector3D1.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D1.orthogonal();
    org.apache.commons.math.geometry.Space space69 = vector3D1.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation71 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D1, 0.9936139681890964d);
    org.apache.commons.math.geometry.euclidean.threed.RotationOrder rotationOrder72 = null;
    double[] d_array73 = rotation71.getAngles(rotationOrder72);
    double[] d_array74 = org.apache.commons.math.util.MathUtils.copyOf(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{0.86; 0; -0.51}"+ "'", str24.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test071"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d6 = rotation5.getQ3();
    double d7 = rotation5.getAngle();
    double d8 = rotation5.getAngle();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = rotation5.revert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation9);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test072"); }


    double[] d_array0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    boolean b5 = org.apache.commons.math.util.MathUtils.equals(d_array1, d_array4);
    double[] d_array9 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 0.0159394085893968d);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array4, d_array9);
    boolean b14 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array4);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distance1(d_array17, d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distance(d_array16, d_array17);
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    double[] d_array30 = new double[] {  };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double[] d_array34 = new double[] {  };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array34);
    double d36 = org.apache.commons.math.util.MathUtils.distance1(d_array30, d_array35);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array35, d_array_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable28, localizable29, (java.lang.Object[])d_array_array39);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable26, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array39);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array17, d_array_array39);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test073"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 3.14698590945101E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test074"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 9);
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException20 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)138.0d, (java.lang.Number)0.5730598909872844d, 1879291247, orderDirection18, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException22 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2.0d, (java.lang.Number)10.0f, 3, orderDirection18, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException24 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1688552211684364d, (java.lang.Number)1.1748181705985365d, (-1879291247), orderDirection18, true);
    boolean b27 = org.apache.commons.math.util.MathUtils.checkOrder(d_array7, orderDirection18, false, false);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    double[] d_array31 = new double[] {  };
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array31);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31);
    boolean b35 = org.apache.commons.math.util.MathUtils.equals(d_array30, d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException44 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1920929E-7f, (java.lang.Number)(-9), 1879291247, orderDirection42, true);
    double[] d_array45 = new double[] {  };
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array47 = new double[] {  };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array47);
    boolean b49 = org.apache.commons.math.util.MathUtils.equals(d_array45, d_array48);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection50 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array51 = new double[] {  };
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    double[] d_array55 = new double[] {  };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.copyOf(d_array55);
    double d57 = org.apache.commons.math.util.MathUtils.distance1(d_array51, d_array56);
    double[] d_array58 = new double[] {  };
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array58);
    double[][] d_array_array60 = new double[][] { d_array58 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array56, d_array_array60);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array48, orderDirection50, d_array_array60);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array37, orderDirection42, d_array_array60);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    double[] d_array65 = new double[] {  };
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array65);
    java.lang.Throwable throwable67 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    double[] d_array69 = new double[] {  };
    double[] d_array70 = org.apache.commons.math.util.MathUtils.copyOf(d_array69);
    double[] d_array71 = org.apache.commons.math.util.MathUtils.copyOf(d_array69);
    double[] d_array72 = org.apache.commons.math.util.MathUtils.copyOf(d_array69);
    double[] d_array73 = new double[] {  };
    double[] d_array74 = org.apache.commons.math.util.MathUtils.copyOf(d_array73);
    double d75 = org.apache.commons.math.util.MathUtils.distance1(d_array69, d_array74);
    double[] d_array76 = new double[] {  };
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array76);
    double[][] d_array_array78 = new double[][] { d_array76 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array74, d_array_array78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException(throwable67, localizable68, (java.lang.Object[])d_array_array78);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array65, d_array_array78);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException82 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable64, (java.lang.Object[])d_array_array78);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, orderDirection42, d_array_array78);
    // The following exception was thrown during execution in test generation
    try {
      double d84 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-196513505));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test075"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(1.345745212856242E-4d, (-5.0d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test076"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1010), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1748181705985365d, (-68.77586639882162d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1748181705985365d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-101), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test079"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)(-1) };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1, localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-101), obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(localizable0, obj_array6);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.safeNorm(d_array12);
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array18, d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array12, d_array19);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    double[] d_array28 = new double[] {  };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array36 = new double[] {  };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distance1(d_array32, d_array37);
    double[] d_array39 = new double[] {  };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array37, d_array_array41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable30, localizable31, (java.lang.Object[])d_array_array41);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array28, d_array_array41);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException45 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable27, (java.lang.Object[])d_array_array41);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException46 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array41);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array12, d_array_array41);
    // The following exception was thrown during execution in test generation
    try {
      mathException9.addMessage(localizable11, (java.lang.Object[])d_array_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test080"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(128, 1879291248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test081"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test082"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 100, (-1879291247));
    int i4 = dimensionMismatchException3.getDimension();
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1879291247));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1879291247));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test083"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign((-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test084"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.11774848674246764d), 0.0d, 0.5075239611089358d);
    boolean b4 = vector3D3.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test085"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(100000000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100000000000L);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test086"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    double d17 = vector3D5.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation27.applyInverseTo(rotation33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d50 = vector3D46.dotProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D43.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    double d52 = vector3D46.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D42.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = rotation27.applyInverseTo(vector3D46);
    double d55 = vector3D5.distance((org.apache.commons.math.geometry.Vector)vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D5.normalize();
    org.apache.commons.math.geometry.Space space57 = vector3D56.getSpace();
    double d58 = vector3D56.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.8623188722876841d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test087"); }


    long long1 = org.apache.commons.math.util.MathUtils.factorial(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test088"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D16.orthogonal();
    java.lang.String str19 = vector3D16.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = vector3D23.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D9, 0.0d, vector3D16, 100.0d, vector3D26);
    boolean b28 = vector3D9.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = rotation29.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D9.crossProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    double d32 = vector3D5.distanceInf((org.apache.commons.math.geometry.Vector)vector3D30);
    double d33 = vector3D30.getAlpha();
    double d34 = vector3D30.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{0.86; 0; -0.51}"+ "'", str19.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test089"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-3.0400864626531603d), (java.lang.Number)12.0d, false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test090"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-1.22971943311752d), 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2169881508980025d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test091"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-110L), 99999999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10999999998900L));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test092"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.99999994f, 0.0f, 9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test093"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.2250738585072014E-308d, 1.0172473163570097d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2250738585072014E-308d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test094"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.7821949304390798d, (-2.5297474129822663E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7821949304390797d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test095"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(8.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test096"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D8, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation17 = rotation10.applyInverseTo(rotation16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.distance1((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D25.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d34 = vector3D30.distance1((org.apache.commons.math.geometry.Vector)vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D25.add((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D36, 0.015939408589396797d, vector3D39);
    double d41 = vector3D40.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = rotation17.applyTo(vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d51 = vector3D47.distance1((org.apache.commons.math.geometry.Vector)vector3D50);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = vector3D50.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d60 = vector3D56.distance1((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D59.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d69 = vector3D65.dotProduct((org.apache.commons.math.geometry.Vector)vector3D68);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = vector3D62.crossProduct((org.apache.commons.math.geometry.Vector)vector3D65);
    double d71 = vector3D65.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = vector3D61.crossProduct((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d80 = vector3D76.distance1((org.apache.commons.math.geometry.Vector)vector3D79);
    double d81 = vector3D76.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D76);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D86 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d90 = vector3D86.dotProduct((org.apache.commons.math.geometry.Vector)vector3D89);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D83.crossProduct((org.apache.commons.math.geometry.Vector)vector3D86);
    boolean b92 = vector3D83.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D93 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D82, vector3D83);
    double d94 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D61, vector3D83);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D95 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D43, 0.16501566686647173d, vector3D50, 0.0d, vector3D83);
    double d96 = vector3D50.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.9440616162109872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d94, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.9999999999999999d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test097"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.003856908678152d, 0.9440892412430647d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.816070942896374d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test098"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test099"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(115.49866317191179d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test101"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation7 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = rotation0.applyInverseTo(rotation7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)rotation0, localizable9, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation8);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test102"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number4 = nonMonotonousSequenceException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array11);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array11, d_array_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException3, localizable5, (java.lang.Object[])d_array_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0d+ "'", number4.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(100, (-1084453493));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test104"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-104539819));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test105"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-2.2459549979877247d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test106"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double d15 = org.apache.commons.math.util.MathUtils.distance1(d_array9, d_array14);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, d_array_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable7, localizable8, (java.lang.Object[])d_array_array18);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, d_array_array18);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException22 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable4, (java.lang.Object[])d_array_array18);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array18);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])d_array_array18);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])d_array_array18);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)57.409737404774624d, (java.lang.Object[])d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test107"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test108"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(1.113924187809109d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test109"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D1, localizable2, obj_array8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    java.lang.String str24 = vector3D21.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D28.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D14, 0.0d, vector3D21, 100.0d, vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D21.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable47, obj_array51);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException53 = new org.apache.commons.math.exception.MathArithmeticException(localizable46, obj_array51);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D44, localizable45, obj_array51);
    double d55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D38, vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.dotProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D1, 0.0d, vector3D21, Double.POSITIVE_INFINITY, vector3D44, 0.0d, vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d73 = vector3D69.distance1((org.apache.commons.math.geometry.Vector)vector3D72);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D72.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation76 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D74, 0.9999999999999999d);
    double d77 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D44, vector3D74);
    boolean b78 = vector3D44.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{0.86; 0; -0.51}"+ "'", str24.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test110"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.1920929E-7f, 100.00001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test111"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1721030945645011L), (-99999999989L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test112"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.8111080850632179d, 4.114625959473734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8111080850632179d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test113"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-68.77586639882162d), (-0.1716d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-68.77586639882162d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.5680864008716422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.79745899101058d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test115"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    double d8 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    boolean b19 = vector3D10.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D9, vector3D10);
    double d21 = vector3D9.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d28 = vector3D24.distance1((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D27.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d37 = vector3D33.dotProduct((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D30.crossProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    double d39 = vector3D33.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D29.crossProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    double d41 = vector3D29.getAlpha();
    double d42 = vector3D9.dotProduct((org.apache.commons.math.geometry.Vector)vector3D29);
    java.lang.String str43 = vector3D29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.7490713638976738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-3.3996244067752707E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "{0.51; 0; 0.86}"+ "'", str43.equals("{0.51; 0; 0.86}"));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test116"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array7);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D0, localizable1, obj_array7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    double d19 = vector3D14.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d28 = vector3D24.dotProduct((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D21.crossProduct((org.apache.commons.math.geometry.Vector)vector3D24);
    boolean b30 = vector3D21.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D20, vector3D21);
    double d32 = vector3D0.dotProduct((org.apache.commons.math.geometry.Vector)vector3D20);
    double d33 = vector3D0.getNorm();
    boolean b34 = vector3D0.isInfinite();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D0.getZero();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d43 = vector3D39.distance1((org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D42.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D45.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    double d54 = vector3D48.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D44.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D35.add(4.1d, (org.apache.commons.math.geometry.Vector)vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test117"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.192093E-7f, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.525879E-5f);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.7201526669805051d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test119"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-8.0f), (-0.01875572108597101d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.9999995f));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test120"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)3.14698590945101E14d, (java.lang.Number)1.9077985663712873d, true);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test121"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d4 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double d5 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 9);
    double[] d_array8 = null;
    boolean b9 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test122"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 128);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test123"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(1014L, 1864710049423024228L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test124"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.426048909616174d, 3.0853938679233543d, 1.8160110397210951d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test125"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(5.442387394946508d, 0.039199309566508425d, 33229.39035125344d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test126"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1), 1084453366);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1084453365);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1010), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test128"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    java.lang.String str8 = vector3D5.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation19 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D17, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation25 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation26 = rotation19.applyInverseTo(rotation25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d33 = vector3D29.distance1((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D32.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    double d44 = vector3D38.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D34.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = rotation19.applyInverseTo(vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D5.subtract(309.6897575736956d, (org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d54 = vector3D50.distance1((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D53.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d63 = vector3D59.dotProduct((org.apache.commons.math.geometry.Vector)vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = vector3D56.crossProduct((org.apache.commons.math.geometry.Vector)vector3D59);
    double d65 = vector3D59.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D55.crossProduct((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.Space space67 = vector3D66.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D71.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D73);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D74);
    java.lang.String str76 = vector3D75.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = vector3D75.negate();
    double d78 = vector3D66.distance((org.apache.commons.math.geometry.Vector)vector3D75);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = vector3D47.add((org.apache.commons.math.geometry.Vector)vector3D66);
    double d80 = vector3D66.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0.86; 0; -0.51}"+ "'", str8.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str76.equals("{(NaN); (NaN); (NaN)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0000000000000002d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test129"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    java.lang.String str8 = vector3D5.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation19 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D17, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation25 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation26 = rotation19.applyInverseTo(rotation25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d33 = vector3D29.distance1((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D32.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    double d44 = vector3D38.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D34.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = rotation19.applyInverseTo(vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D5.subtract(309.6897575736956d, (org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d54 = vector3D50.distance1((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D53.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d62 = vector3D58.distance1((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = vector3D53.add((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d72 = vector3D68.dotProduct((org.apache.commons.math.geometry.Vector)vector3D71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = vector3D65.crossProduct((org.apache.commons.math.geometry.Vector)vector3D68);
    double d74 = vector3D63.distanceSq((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D65.getZero();
    boolean b76 = vector3D47.equals((java.lang.Object)vector3D65);
    org.apache.commons.math.geometry.Vector vector77 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = vector3D65.add(vector77);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0.86; 0; -0.51}"+ "'", str8.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test130"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 0);
    int[] i_array5 = new int[] { 10 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 0);
    int[] i_array9 = new int[] { 1 };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, 1);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array12);
    int i14 = org.apache.commons.math.util.MathUtils.distance1(i_array3, i_array12);
    int[] i_array16 = new int[] { 1 };
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 1);
    int[] i_array20 = new int[] { 1 };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array20, 1);
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int i24 = org.apache.commons.math.util.MathUtils.distanceInf(i_array18, i_array22);
    int i25 = org.apache.commons.math.util.MathUtils.distanceInf(i_array12, i_array22);
    int[] i_array27 = new int[] { 1 };
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array27, 1);
    int[] i_array31 = new int[] { 1 };
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array31, 1);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array33);
    int i35 = org.apache.commons.math.util.MathUtils.distanceInf(i_array29, i_array33);
    int[] i_array37 = new int[] { 1 };
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array37, 1);
    int i40 = org.apache.commons.math.util.MathUtils.distanceInf(i_array29, i_array37);
    int[] i_array43 = new int[] { 0, 0 };
    int i44 = org.apache.commons.math.util.MathUtils.distance1(i_array37, i_array43);
    int[] i_array45 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array46 = org.apache.commons.math.util.MathUtils.copyOf(i_array45);
    int[] i_array48 = new int[] { 1 };
    int[] i_array50 = org.apache.commons.math.util.MathUtils.copyOf(i_array48, 1);
    int[] i_array52 = new int[] { 1 };
    int[] i_array54 = org.apache.commons.math.util.MathUtils.copyOf(i_array52, 1);
    int[] i_array55 = org.apache.commons.math.util.MathUtils.copyOf(i_array54);
    int i56 = org.apache.commons.math.util.MathUtils.distanceInf(i_array50, i_array54);
    int[] i_array58 = new int[] { 1 };
    int[] i_array60 = org.apache.commons.math.util.MathUtils.copyOf(i_array58, 1);
    int i61 = org.apache.commons.math.util.MathUtils.distanceInf(i_array50, i_array58);
    int[] i_array63 = org.apache.commons.math.util.MathUtils.copyOf(i_array50, 127);
    int[] i_array65 = new int[] { 1 };
    int[] i_array67 = org.apache.commons.math.util.MathUtils.copyOf(i_array65, 1);
    int[] i_array69 = new int[] { 1 };
    int[] i_array71 = org.apache.commons.math.util.MathUtils.copyOf(i_array69, 1);
    int[] i_array72 = org.apache.commons.math.util.MathUtils.copyOf(i_array71);
    int i73 = org.apache.commons.math.util.MathUtils.distanceInf(i_array67, i_array71);
    int[] i_array75 = new int[] { 1 };
    int[] i_array77 = org.apache.commons.math.util.MathUtils.copyOf(i_array75, 1);
    int i78 = org.apache.commons.math.util.MathUtils.distanceInf(i_array67, i_array75);
    int[] i_array80 = org.apache.commons.math.util.MathUtils.copyOf(i_array67, 127);
    int i81 = org.apache.commons.math.util.MathUtils.distance1(i_array50, i_array80);
    int i82 = org.apache.commons.math.util.MathUtils.distanceInf(i_array45, i_array80);
    int i83 = org.apache.commons.math.util.MathUtils.distanceInf(i_array22, i_array80);
    int[] i_array85 = new int[] { 1 };
    int[] i_array87 = org.apache.commons.math.util.MathUtils.copyOf(i_array85, 1);
    int[] i_array89 = new int[] { 1 };
    int[] i_array91 = org.apache.commons.math.util.MathUtils.copyOf(i_array89, 1);
    int[] i_array92 = org.apache.commons.math.util.MathUtils.copyOf(i_array91);
    int i93 = org.apache.commons.math.util.MathUtils.distanceInf(i_array87, i_array91);
    int i94 = org.apache.commons.math.util.MathUtils.distance1(i_array22, i_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test131"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(6400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6400.0f);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test132"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    boolean b9 = vector3D0.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d14 = vector3D0.distanceSq((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    java.lang.String str26 = vector3D23.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D30.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D16, 0.0d, vector3D23, 100.0d, vector3D33);
    boolean b35 = vector3D16.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = rotation36.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D16.crossProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = vector3D13.add((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation49 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D47, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation55 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation56 = rotation49.applyInverseTo(rotation55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d65 = vector3D61.distance1((org.apache.commons.math.geometry.Vector)vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D64.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d73 = vector3D69.distance1((org.apache.commons.math.geometry.Vector)vector3D72);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D72.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D64.add((org.apache.commons.math.geometry.Vector)vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D75);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D75, 0.015939408589396797d, vector3D78);
    double d80 = vector3D79.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = vector3D79.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = rotation56.applyTo(vector3D79);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D16.crossProduct((org.apache.commons.math.geometry.Vector)vector3D79);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D83.scalarMultiply(1.7739746078935247E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "{0.86; 0; -0.51}"+ "'", str26.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.9440616162109872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test133"); }


    int[] i_array1 = new int[] { 1 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array5 = new int[] { 1 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int i9 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array7);
    int[] i_array11 = new int[] { 1 };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array11, 1);
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array11);
    int[] i_array17 = new int[] { 0, 0 };
    int i18 = org.apache.commons.math.util.MathUtils.distance1(i_array11, i_array17);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int[] i_array21 = new int[] { 1 };
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array21, 1);
    int[] i_array25 = new int[] { 1 };
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array25, 1);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array27);
    int i29 = org.apache.commons.math.util.MathUtils.distanceInf(i_array23, i_array27);
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array27);
    int i31 = org.apache.commons.math.util.MathUtils.distanceInf(i_array19, i_array30);
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array19, 0);
    int[] i_array35 = new int[] { 1 };
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array35, 1);
    int[] i_array39 = new int[] { 1 };
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array39, 1);
    int[] i_array42 = org.apache.commons.math.util.MathUtils.copyOf(i_array41);
    int i43 = org.apache.commons.math.util.MathUtils.distanceInf(i_array37, i_array41);
    int[] i_array45 = new int[] { 1 };
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array45, 1);
    int i48 = org.apache.commons.math.util.MathUtils.distanceInf(i_array37, i_array45);
    int[] i_array50 = org.apache.commons.math.util.MathUtils.copyOf(i_array37, 127);
    int[] i_array52 = new int[] { 1 };
    int[] i_array54 = org.apache.commons.math.util.MathUtils.copyOf(i_array52, 1);
    int[] i_array56 = new int[] { 1 };
    int[] i_array58 = org.apache.commons.math.util.MathUtils.copyOf(i_array56, 1);
    int[] i_array59 = org.apache.commons.math.util.MathUtils.copyOf(i_array58);
    int i60 = org.apache.commons.math.util.MathUtils.distanceInf(i_array54, i_array58);
    int[] i_array62 = new int[] { 1 };
    int[] i_array64 = org.apache.commons.math.util.MathUtils.copyOf(i_array62, 1);
    int i65 = org.apache.commons.math.util.MathUtils.distanceInf(i_array54, i_array62);
    int[] i_array67 = org.apache.commons.math.util.MathUtils.copyOf(i_array54, 127);
    int i68 = org.apache.commons.math.util.MathUtils.distance1(i_array37, i_array67);
    int[] i_array70 = new int[] { 1 };
    int[] i_array72 = org.apache.commons.math.util.MathUtils.copyOf(i_array70, 1);
    int[] i_array74 = new int[] { 1 };
    int[] i_array76 = org.apache.commons.math.util.MathUtils.copyOf(i_array74, 1);
    int[] i_array77 = org.apache.commons.math.util.MathUtils.copyOf(i_array76);
    int i78 = org.apache.commons.math.util.MathUtils.distanceInf(i_array72, i_array76);
    int[] i_array80 = new int[] { 1 };
    int[] i_array82 = org.apache.commons.math.util.MathUtils.copyOf(i_array80, 1);
    int i83 = org.apache.commons.math.util.MathUtils.distanceInf(i_array72, i_array80);
    int[] i_array85 = org.apache.commons.math.util.MathUtils.copyOf(i_array72, 127);
    int i86 = org.apache.commons.math.util.MathUtils.distanceInf(i_array37, i_array85);
    int i87 = org.apache.commons.math.util.MathUtils.distanceInf(i_array19, i_array37);
    int[] i_array88 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array90 = org.apache.commons.math.util.MathUtils.copyOf(i_array88, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-1.0f), (-1), (-104539820));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.17557656732412066d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test136"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array5);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(d_array7, d_array10);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array5, d_array12);
    double[] d_array17 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array19 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array17, 0.0159394085893968d);
    double d20 = org.apache.commons.math.util.MathUtils.distance(d_array12, d_array19);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 7);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array36 = new double[] {  };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distance1(d_array32, d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distance(d_array31, d_array32);
    int i40 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Throwable throwable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    double[] d_array45 = new double[] {  };
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array47 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array49 = new double[] {  };
    double[] d_array50 = org.apache.commons.math.util.MathUtils.copyOf(d_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distance1(d_array45, d_array50);
    double[] d_array52 = new double[] {  };
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array50, d_array_array54);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable43, localizable44, (java.lang.Object[])d_array_array54);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException57 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable41, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array54);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array32, d_array_array54);
    double d59 = org.apache.commons.math.util.MathUtils.distance(d_array25, d_array32);
    double[] d_array60 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    boolean b61 = org.apache.commons.math.util.MathUtils.equals(d_array22, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d62 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test137"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-99999999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test138"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(0, 1084453365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1084453365));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d9 = rotation8.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d16 = rotation15.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation26 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D24, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = rotation15.applyTo(rotation26);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation28 = rotation8.applyInverseTo(rotation26);
    double d29 = rotation26.getQ2();
    double d30 = rotation26.getAngle();
    double[][] d_array_array31 = rotation26.getMatrix();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException32 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])d_array_array31);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1003.6020174906616d, localizable1, (java.lang.Object[])d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test140"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1520147375);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1520147375);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.01875572108597101d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test142"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.8392383565875312d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8392383565875312d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.9135756100243292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test144"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 1084453365, 1879291248);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test145"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.distance1((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.orthogonal();
    java.lang.String str12 = vector3D9.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D16.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D2, 0.0d, vector3D9, 100.0d, vector3D19);
    boolean b21 = vector3D2.isNaN();
    org.apache.commons.math.geometry.Space space22 = vector3D2.getSpace();
    double d23 = vector3D2.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d31 = vector3D27.dotProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D27);
    boolean b33 = vector3D24.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d38 = vector3D24.distanceSq((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d54 = vector3D50.distance1((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D53.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D45.add((org.apache.commons.math.geometry.Vector)vector3D55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D24, vector3D57);
    double d59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D2, vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.9235836577769269d, vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d67 = vector3D63.distance1((org.apache.commons.math.geometry.Vector)vector3D66);
    double d68 = vector3D63.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException77 = new org.apache.commons.math.exception.NullArgumentException(localizable72, obj_array76);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException78 = new org.apache.commons.math.exception.MathArithmeticException(localizable71, obj_array76);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D69, localizable70, obj_array76);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = vector3D69.scalarMultiply(2.3978952727983707d);
    double d82 = vector3D63.dotProduct((org.apache.commons.math.geometry.Vector)vector3D81);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D63.getZero();
    double d84 = vector3D83.getDelta();
    double d85 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.dotProduct(vector3D60, vector3D83);
    double d86 = vector3D60.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "{0.86; 0; -0.51}"+ "'", str12.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d85, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test146"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 100, (-1879291247));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test147"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.99999994f, 10.0f, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test148"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-221.11767519388783d), 1.9195045706422724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.37464957002650534d));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test149"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.9125878235074933d, 0.6777346344569454d, 0.9058914717852132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test150"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array7);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D0, localizable1, obj_array7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = vector3D0.scalarMultiply(2.3978952727983707d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = vector3D12.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test151"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d2 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    boolean b7 = org.apache.commons.math.util.MathUtils.equals(d_array3, d_array6);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distance1(d_array10, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array9, d_array10);
    double d18 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array10);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array19, d_array22);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[] d_array26 = new double[] {  };
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array26);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distance1(d_array26, d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array25, d_array26);
    double d34 = org.apache.commons.math.util.MathUtils.distance1(d_array19, d_array26);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    boolean b39 = org.apache.commons.math.util.MathUtils.equals(d_array35, d_array38);
    double[] d_array43 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array43, 0.0159394085893968d);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array43);
    double d47 = org.apache.commons.math.util.MathUtils.distance1(d_array38, d_array43);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array43);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array26, d_array48);
    double[] d_array50 = new double[] {  };
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array50);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array50);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array50);
    double[] d_array54 = new double[] {  };
    double[] d_array55 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distance1(d_array50, d_array55);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array55);
    double d58 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array55);
    double[] d_array59 = new double[] {  };
    double[] d_array60 = org.apache.commons.math.util.MathUtils.copyOf(d_array59);
    double[] d_array61 = org.apache.commons.math.util.MathUtils.copyOf(d_array59);
    double[] d_array62 = org.apache.commons.math.util.MathUtils.copyOf(d_array59);
    double d63 = org.apache.commons.math.util.MathUtils.safeNorm(d_array59);
    double d64 = org.apache.commons.math.util.MathUtils.distance1(d_array55, d_array59);
    double d65 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array55);
    double d66 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array55);
    double[] d_array67 = null;
    double d68 = org.apache.commons.math.util.MathUtils.distanceInf(d_array55, d_array67);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException72 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number73 = nonMonotonousSequenceException72.getArgument();
    boolean b74 = nonMonotonousSequenceException72.getStrict();
    java.lang.Number number75 = nonMonotonousSequenceException72.getPrevious();
    java.lang.Number number76 = nonMonotonousSequenceException72.getPrevious();
    int i77 = nonMonotonousSequenceException72.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection78 = nonMonotonousSequenceException72.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array55, orderDirection78, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number73 + "' != '" + 100.0d+ "'", number73.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number75 + "' != '" + 0+ "'", number75.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number76 + "' != '" + 0+ "'", number76.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection78);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test152"); }


    double d2 = org.apache.commons.math.util.MathUtils.round((-0.956362783791187d), 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.956362783791187d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test153"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(2.810955205807466d, 0.0d, 0.8623188722876841d, 23.603778427715103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 20.353983595515654d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test154"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.0f), 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test155"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    double d8 = vector3D7.getNorm();
    org.apache.commons.math.geometry.Space space9 = vector3D7.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    double d14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D7, vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D21.add((org.apache.commons.math.geometry.Vector)vector3D31);
    double d33 = vector3D21.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.distance1((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation43 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D41, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation49 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation50 = rotation43.applyInverseTo(rotation49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d57 = vector3D53.distance1((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d66 = vector3D62.dotProduct((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D59.crossProduct((org.apache.commons.math.geometry.Vector)vector3D62);
    double d68 = vector3D62.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = vector3D58.crossProduct((org.apache.commons.math.geometry.Vector)vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = rotation43.applyInverseTo(vector3D62);
    double d71 = vector3D21.distance((org.apache.commons.math.geometry.Vector)vector3D70);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation73 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d74 = rotation73.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d81 = vector3D77.distance1((org.apache.commons.math.geometry.Vector)vector3D80);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D80.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d89 = vector3D85.distance1((org.apache.commons.math.geometry.Vector)vector3D88);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = vector3D88.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D80.add((org.apache.commons.math.geometry.Vector)vector3D90);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = vector3D80.normalize();
    boolean b93 = vector3D92.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D94 = rotation73.applyInverseTo(vector3D92);
    double d95 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D72, vector3D92);
    double d96 = vector3D92.getAlpha();
    double d97 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D70, vector3D92);
    double d98 = vector3D7.dotProduct((org.apache.commons.math.geometry.Vector)vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 137.1376811277123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d95, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.9588510772084058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == (-2.2579954550858922E-17d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test156"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test157"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(0L, (-5047021154770878464L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.397895272798371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.338474404104274d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test159"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array5);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test160"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d5 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D0, vector3D4);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d12 = vector3D8.distance1((org.apache.commons.math.geometry.Vector)vector3D11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = vector3D11.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d20 = vector3D16.distance1((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D19.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D11.add((org.apache.commons.math.geometry.Vector)vector3D21);
    double d23 = vector3D11.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D31, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation39 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation40 = rotation33.applyInverseTo(rotation39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d47 = vector3D43.distance1((org.apache.commons.math.geometry.Vector)vector3D46);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D46.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d56 = vector3D52.dotProduct((org.apache.commons.math.geometry.Vector)vector3D55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = vector3D49.crossProduct((org.apache.commons.math.geometry.Vector)vector3D52);
    double d58 = vector3D52.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = vector3D48.crossProduct((org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = rotation33.applyInverseTo(vector3D52);
    double d61 = vector3D11.distance((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d69 = vector3D65.distance1((org.apache.commons.math.geometry.Vector)vector3D68);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = vector3D68.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d77 = vector3D73.distance1((org.apache.commons.math.geometry.Vector)vector3D76);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = vector3D76.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = vector3D68.add((org.apache.commons.math.geometry.Vector)vector3D78);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D79);
    double d81 = vector3D11.dotProduct((org.apache.commons.math.geometry.Vector)vector3D80);
    double d82 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D0, vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 4.114625959473734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.7853981633974482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.9936139681890962d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test161"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(100.0f, (-1.0f), (-104539819));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test162"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d3 = vector3D2.getZ();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d11 = vector3D7.dotProduct((org.apache.commons.math.geometry.Vector)vector3D10);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = vector3D4.crossProduct((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D4, 2.2459549979877247d);
    boolean b15 = vector3D4.isInfinite();
    double d16 = vector3D2.distance((org.apache.commons.math.geometry.Vector)vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.5063656411097588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test163"); }


    float[] f_array0 = null;
    float[] f_array2 = new float[] { 10.0f };
    float[] f_array3 = new float[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array2, f_array3);
    float[] f_array6 = new float[] { 10.0f };
    float[] f_array7 = new float[] {  };
    boolean b8 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array6, f_array7);
    float[] f_array10 = new float[] { 10.0f };
    float[] f_array11 = null;
    boolean b12 = org.apache.commons.math.util.MathUtils.equals(f_array10, f_array11);
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array6, f_array10);
    float[] f_array15 = new float[] { 10.0f };
    float[] f_array16 = new float[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array16);
    float[] f_array19 = new float[] { 10.0f };
    float[] f_array20 = null;
    boolean b21 = org.apache.commons.math.util.MathUtils.equals(f_array19, f_array20);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array19);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array6, f_array15);
    float[] f_array24 = null;
    boolean b25 = org.apache.commons.math.util.MathUtils.equals(f_array6, f_array24);
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array3, f_array6);
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array0, f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test164"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.0f), 9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.8775825618903728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7921110579265004d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test166"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1063030190), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.16501566686647173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test168"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 1066442475, 1520147375);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test169"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm((-99999999990L), (-10999999998900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10999999998900L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test170"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2877.374884636172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2878.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test171"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    boolean b4 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array3);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array11);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array11, d_array_array15);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array3, orderDirection5, d_array_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array23);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array23, 0);
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array26);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException32 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number33 = nonMonotonousSequenceException32.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    double[] d_array35 = new double[] {  };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double[] d_array39 = new double[] {  };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array39);
    double d41 = org.apache.commons.math.util.MathUtils.distance1(d_array35, d_array40);
    double[] d_array42 = new double[] {  };
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, d_array_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException32, localizable34, (java.lang.Object[])d_array_array44);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException47 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable28, (java.lang.Object[])d_array_array44);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, d_array_array44);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 100.0d+ "'", number33.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.868506535180028d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5186149817067267d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.0d, (-1010), (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test174"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.16501566686647173d, (-0.002283673780875045d));
    boolean b3 = vector3D2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test175"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 7);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance(d_array6, d_array7);
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    double[] d_array20 = new double[] {  };
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance1(d_array20, d_array25);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array25, d_array_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable18, localizable19, (java.lang.Object[])d_array_array29);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable16, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array29);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array29);
    double d34 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array7);
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array7, 484.67595844616113d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test176"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-5047021154770878464L), (java.lang.Number)100.0d, true);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test177"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    boolean b4 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array3);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d10 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array9);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance1(d_array11, d_array16);
    boolean b18 = org.apache.commons.math.util.MathUtils.equals(d_array9, d_array16);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException22 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number23 = nonMonotonousSequenceException22.getArgument();
    boolean b24 = nonMonotonousSequenceException22.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = nonMonotonousSequenceException22.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array9, orderDirection25, true);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 100.0d+ "'", number23.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-1010), 1946713042);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test179"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    double d34 = vector3D28.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = rotation9.applyInverseTo(vector3D28);
    double d37 = rotation9.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d45 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D38.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d48 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D46, vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = rotation9.applyTo(vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = vector3D47.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.002283673780875045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test181"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(137.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test182"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-8.0f), 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.0f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test183"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)363.072140991119d, (java.lang.Number)1.273845510923536d, false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test184"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    double d17 = rotation16.getQ2();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation27.applyInverseTo(rotation33);
    double d35 = rotation27.getQ2();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = rotation16.applyInverseTo(rotation27);
    double d37 = rotation27.getQ2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-47.62282323128007d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.0d));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test185"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-99999490962L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.894458414535593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 108.54447161593484d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(3.469446951953614E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5138636130983349E-6d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test188"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-1084453365));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test189"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(3.28947566088526d, 105119745);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test190"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger4 = null;
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 127);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger6);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1004L);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 127);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 127);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, bigInteger22);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger22);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger26);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 25100000000000L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException30 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger29);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 100L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test191"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(104539820, (-1879291247));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test192"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-7.9999995f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test193"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D5.normalize();
    double d18 = vector3D5.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.dotProduct((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D19.crossProduct((org.apache.commons.math.geometry.Vector)vector3D22);
    boolean b28 = vector3D19.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d33 = vector3D19.distanceSq((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d49 = vector3D45.distance1((org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = vector3D48.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D40.add((org.apache.commons.math.geometry.Vector)vector3D50);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D19, vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d60 = vector3D56.distance1((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D59.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d71 = vector3D67.distance1((org.apache.commons.math.geometry.Vector)vector3D70);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = vector3D70.orthogonal();
    java.lang.String str73 = vector3D70.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D77.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D79);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D63, 0.0d, vector3D70, 100.0d, vector3D80);
    boolean b82 = vector3D63.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation83 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = rotation83.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D63.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    double d86 = vector3D59.distanceInf((org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d93 = vector3D89.distance1((org.apache.commons.math.geometry.Vector)vector3D92);
    double d94 = vector3D59.dotProduct((org.apache.commons.math.geometry.Vector)vector3D89);
    double d95 = vector3D19.distanceSq((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D96 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.Space space97 = vector3D5.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation99 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D5, 0.0849788260341044d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "{0.86; 0; -0.51}"+ "'", str73.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d95, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space97);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(266.18900363770774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 266.1890036377078d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test195"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 0.0159394085893968d);
    double d7 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.016098013576318394d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test196"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(1063030282, (-1084453365));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-21423083));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test197"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    double d17 = rotation16.getQ2();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation27.applyInverseTo(rotation33);
    double d35 = rotation27.getQ2();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = rotation16.applyInverseTo(rotation27);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation42 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d43 = rotation42.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation49 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d50 = rotation49.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d57 = vector3D53.distance1((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation60 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D58, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation61 = rotation49.applyTo(rotation60);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation62 = rotation42.applyInverseTo(rotation60);
    double d63 = rotation60.getQ2();
    double d64 = rotation60.getAngle();
    double[][] d_array_array65 = rotation60.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation66 = rotation36.applyTo(rotation60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-47.62282323128007d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation66);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test198"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test199"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(localizable0, obj_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Set set10 = mathException9.getContextKeys();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test200"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.8623188722876839d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9291714);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test201"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(10, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10000);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test202"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(17.384465401827185d, 1.5895531476937557d, 101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test203"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(100.0d, 0.0d, 4.13299692180429E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test204"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    double d8 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.distance1((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D18.orthogonal();
    java.lang.String str21 = vector3D18.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = vector3D25.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D11, 0.0d, vector3D18, 100.0d, vector3D28);
    boolean b30 = vector3D11.isNaN();
    double d31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D3, vector3D11);
    boolean b32 = vector3D3.isInfinite();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.distance1((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation42 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D40, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation48 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation49 = rotation42.applyInverseTo(rotation48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d56 = vector3D52.distance1((org.apache.commons.math.geometry.Vector)vector3D55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = vector3D55.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d65 = vector3D61.dotProduct((org.apache.commons.math.geometry.Vector)vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D58.crossProduct((org.apache.commons.math.geometry.Vector)vector3D61);
    double d67 = vector3D61.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = rotation42.applyInverseTo(vector3D61);
    double d70 = rotation42.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = rotation42.applyInverseTo(vector3D71);
    double d73 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D3, vector3D71);
    org.apache.commons.math.geometry.Space space74 = vector3D3.getSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "{0.86; 0; -0.51}"+ "'", str21.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0398314119215128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space74);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(137.99999999999994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.23422432986766742d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test206"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(4, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-508));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test207"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.868506535180028d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test208"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    boolean b4 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array3);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d10 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array9);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.safeNorm(d_array11);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    boolean b18 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array17);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance1(d_array21, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array21);
    double d29 = org.apache.commons.math.util.MathUtils.distance1(d_array14, d_array21);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equals(d_array30, d_array33);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array41);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array37, d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array36, d_array37);
    double d45 = org.apache.commons.math.util.MathUtils.distance1(d_array30, d_array37);
    double[] d_array46 = new double[] {  };
    double[] d_array47 = org.apache.commons.math.util.MathUtils.copyOf(d_array46);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array48);
    boolean b50 = org.apache.commons.math.util.MathUtils.equals(d_array46, d_array49);
    double[] d_array54 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array54, 0.0159394085893968d);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double d58 = org.apache.commons.math.util.MathUtils.distance1(d_array49, d_array54);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array59);
    double[] d_array61 = new double[] {  };
    double[] d_array62 = org.apache.commons.math.util.MathUtils.copyOf(d_array61);
    double[] d_array63 = org.apache.commons.math.util.MathUtils.copyOf(d_array61);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array61);
    double[] d_array65 = new double[] {  };
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array65);
    double d67 = org.apache.commons.math.util.MathUtils.distance1(d_array61, d_array66);
    double[] d_array68 = org.apache.commons.math.util.MathUtils.copyOf(d_array66);
    double d69 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array66);
    double[] d_array70 = new double[] {  };
    double[] d_array71 = org.apache.commons.math.util.MathUtils.copyOf(d_array70);
    double[] d_array72 = org.apache.commons.math.util.MathUtils.copyOf(d_array70);
    double[] d_array73 = org.apache.commons.math.util.MathUtils.copyOf(d_array70);
    double d74 = org.apache.commons.math.util.MathUtils.safeNorm(d_array70);
    double d75 = org.apache.commons.math.util.MathUtils.distance1(d_array66, d_array70);
    double d76 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array66);
    double d77 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array66);
    double[] d_array78 = null;
    double d79 = org.apache.commons.math.util.MathUtils.distanceInf(d_array66, d_array78);
    boolean b80 = org.apache.commons.math.util.MathUtils.equals(d_array5, d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test209"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    java.lang.String str8 = vector3D5.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.dotProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D9.crossProduct((org.apache.commons.math.geometry.Vector)vector3D12);
    boolean b18 = vector3D9.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d23 = vector3D9.distanceSq((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d31 = vector3D27.distance1((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D30.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.distance1((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D30.add((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D9, vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D5, vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D42.normalize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0.86; 0; -0.51}"+ "'", str8.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test210"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-7.9999995f), 1066442475);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test211"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-5.562606968307632d), 0.9223482364673444d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test212"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = vector3D2.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D4);
    double d6 = vector3D2.getDelta();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d13 = vector3D9.distance1((org.apache.commons.math.geometry.Vector)vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D14, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation22 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation23 = rotation16.applyInverseTo(rotation22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.dotProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D32.crossProduct((org.apache.commons.math.geometry.Vector)vector3D35);
    double d41 = vector3D35.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D31.crossProduct((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = rotation16.applyInverseTo(vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.scalarMultiply(0.9235836577769269d);
    double d46 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.4628601096469556d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test213"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 0);
    int[] i_array5 = new int[] { 1 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array9 = new int[] { 1 };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, 1);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int i13 = org.apache.commons.math.util.MathUtils.distanceInf(i_array7, i_array11);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int[] i_array16 = new int[] { 1 };
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 1);
    int[] i_array20 = new int[] { 1 };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array20, 1);
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int i24 = org.apache.commons.math.util.MathUtils.distanceInf(i_array18, i_array22);
    int[] i_array26 = new int[] { 1 };
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array26, 1);
    int i29 = org.apache.commons.math.util.MathUtils.distanceInf(i_array18, i_array26);
    int[] i_array32 = new int[] { 0, 0 };
    int i33 = org.apache.commons.math.util.MathUtils.distance1(i_array26, i_array32);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    int[] i_array35 = org.apache.commons.math.util.MathUtils.copyOf(i_array34);
    int[] i_array37 = new int[] { 1 };
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array37, 1);
    int[] i_array41 = new int[] { 1 };
    int[] i_array43 = org.apache.commons.math.util.MathUtils.copyOf(i_array41, 1);
    int[] i_array44 = org.apache.commons.math.util.MathUtils.copyOf(i_array43);
    int i45 = org.apache.commons.math.util.MathUtils.distanceInf(i_array39, i_array43);
    int[] i_array47 = new int[] { 1 };
    int[] i_array49 = org.apache.commons.math.util.MathUtils.copyOf(i_array47, 1);
    int i50 = org.apache.commons.math.util.MathUtils.distanceInf(i_array39, i_array47);
    int[] i_array52 = org.apache.commons.math.util.MathUtils.copyOf(i_array39, 127);
    int[] i_array54 = new int[] { 1 };
    int[] i_array56 = org.apache.commons.math.util.MathUtils.copyOf(i_array54, 1);
    int[] i_array58 = new int[] { 1 };
    int[] i_array60 = org.apache.commons.math.util.MathUtils.copyOf(i_array58, 1);
    int[] i_array61 = org.apache.commons.math.util.MathUtils.copyOf(i_array60);
    int i62 = org.apache.commons.math.util.MathUtils.distanceInf(i_array56, i_array60);
    int[] i_array64 = new int[] { 1 };
    int[] i_array66 = org.apache.commons.math.util.MathUtils.copyOf(i_array64, 1);
    int i67 = org.apache.commons.math.util.MathUtils.distanceInf(i_array56, i_array64);
    int[] i_array69 = org.apache.commons.math.util.MathUtils.copyOf(i_array56, 127);
    int i70 = org.apache.commons.math.util.MathUtils.distance1(i_array39, i_array69);
    int i71 = org.apache.commons.math.util.MathUtils.distanceInf(i_array34, i_array69);
    int i72 = org.apache.commons.math.util.MathUtils.distanceInf(i_array11, i_array34);
    double d73 = org.apache.commons.math.util.MathUtils.distance(i_array3, i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test214"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(177263.2333073539d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1663722098));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test215"); }


    int[] i_array0 = null;
    int[] i_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test216"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000002f);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.11774848674246764d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test218"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.distance1((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D25.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D27, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation35 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = rotation29.applyInverseTo(rotation35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d43 = vector3D39.distance1((org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D42.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D45.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    double d54 = vector3D48.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D44.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = rotation29.applyInverseTo(vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = vector3D19.crossProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D56, vector3D59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.4162554048523512d, 1.113924187809109d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.416255404852351d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test220"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(105119745, 1084453357);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-21423083), 1080115200);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test222"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = rotation9.revert();
    double d11 = rotation10.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.RotationOrder rotationOrder12 = null;
    double[] d_array13 = rotation10.getAngles(rotationOrder12);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array17, 7);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distance1(d_array24, d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance(d_array23, d_array24);
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array41);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array37, d_array42);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.copyOf(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array42, d_array_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(throwable35, localizable36, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException49 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable33, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, d_array_array46);
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array17, d_array24);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    boolean b53 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array17);
    boolean b54 = org.apache.commons.math.util.MathUtils.equals(d_array13, d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test223"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 0);
    int[] i_array5 = new int[] { 10 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 0);
    int[] i_array9 = new int[] { 1 };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array9, 1);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array5, i_array12);
    int i14 = org.apache.commons.math.util.MathUtils.distance1(i_array3, i_array12);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test224"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1879291247), (-101));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test225"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    double d8 = vector3D7.getNorm();
    org.apache.commons.math.geometry.Space space9 = vector3D7.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    double d14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D7, vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    java.lang.String str26 = vector3D23.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D30.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D16, 0.0d, vector3D23, 100.0d, vector3D33);
    double d35 = vector3D33.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D7.crossProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D40.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D43);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d55 = vector3D51.dotProduct((org.apache.commons.math.geometry.Vector)vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D48.crossProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException65 = new org.apache.commons.math.exception.NullArgumentException(localizable60, obj_array64);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException66 = new org.apache.commons.math.exception.MathArithmeticException(localizable59, obj_array64);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D57, localizable58, obj_array64);
    double d68 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D51, vector3D57);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d76 = vector3D72.dotProduct((org.apache.commons.math.geometry.Vector)vector3D75);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = vector3D69.crossProduct((org.apache.commons.math.geometry.Vector)vector3D72);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D77, vector3D78);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D51.subtract((org.apache.commons.math.geometry.Vector)vector3D78);
    double d81 = vector3D47.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D43.add(1.9999999999999998d, (org.apache.commons.math.geometry.Vector)vector3D51);
    double d83 = vector3D82.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = vector3D36.crossProduct((org.apache.commons.math.geometry.Vector)vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 137.1376811277123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "{0.86; 0; -0.51}"+ "'", str26.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test226"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D1, localizable2, obj_array8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    java.lang.String str24 = vector3D21.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D28.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D14, 0.0d, vector3D21, 100.0d, vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D21.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable47, obj_array51);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException53 = new org.apache.commons.math.exception.MathArithmeticException(localizable46, obj_array51);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D44, localizable45, obj_array51);
    double d55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D38, vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.dotProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D1, 0.0d, vector3D21, Double.POSITIVE_INFINITY, vector3D44, 0.0d, vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d73 = vector3D69.dotProduct((org.apache.commons.math.geometry.Vector)vector3D72);
    double d74 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.dotProduct(vector3D21, vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{0.86; 0; -0.51}"+ "'", str24.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.9999999999999999d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test227"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D18, 0.015939408589396797d, vector3D21);
    double d23 = vector3D18.getAlpha();
    double d24 = vector3D18.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test228"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(2.1684043449710089E-19d, 1.5895531476937557d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1684043449710089E-19d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(20L, (-110L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test231"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.614640955327922d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6619307114455286d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(2.368684513397443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5390531223442039d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-1084453357), 104539820);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test235"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0d, number2, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b7 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0d+ "'", number5.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.11077534077641144d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.105058276687d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test237"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.dotProduct((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D1.crossProduct((org.apache.commons.math.geometry.Vector)vector3D4);
    boolean b10 = vector3D1.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d15 = vector3D1.distanceSq((org.apache.commons.math.geometry.Vector)vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d31 = vector3D27.distance1((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D30.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D22.add((org.apache.commons.math.geometry.Vector)vector3D32);
    double d34 = vector3D22.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation44 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D42, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation50 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation51 = rotation44.applyInverseTo(rotation50);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d58 = vector3D54.distance1((org.apache.commons.math.geometry.Vector)vector3D57);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = vector3D57.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d67 = vector3D63.dotProduct((org.apache.commons.math.geometry.Vector)vector3D66);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D60.crossProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    double d69 = vector3D63.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = vector3D59.crossProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = rotation44.applyInverseTo(vector3D63);
    double d72 = vector3D22.distance((org.apache.commons.math.geometry.Vector)vector3D71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-2.1457116371479565d), vector3D1, 1.3680641827974853d, vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d80 = vector3D76.distance1((org.apache.commons.math.geometry.Vector)vector3D79);
    double d81 = vector3D76.getNormInf();
    double d82 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D73, vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test238"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array12);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array12, d_array_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable5, localizable6, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array3, d_array_array16);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException20 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable2, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext23 = nullArgumentException22.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = nullArgumentException22.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test239"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1946713039), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test240"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 0.09851270695639507d, 582.868953786402d, 0.8169805481334202d, false);
    double[][] d_array_array6 = rotation5.getMatrix();
    double d7 = rotation5.getQ0();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test241"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-5.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test242"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(8.0f, 9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.0f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test243"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation7 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = rotation0.applyInverseTo(rotation7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D17.orthogonal();
    java.lang.String str20 = vector3D17.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D24.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D10, 0.0d, vector3D17, 100.0d, vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = rotation8.applyTo(vector3D27);
    double d30 = vector3D27.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "{0.86; 0; -0.51}"+ "'", str20.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test244"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.027978590842195894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test245"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number4 = nonMonotonousSequenceException3.getArgument();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    boolean b6 = nonMonotonousSequenceException3.getStrict();
    int i7 = nonMonotonousSequenceException3.getIndex();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException3);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math.exception.NotPositiveException(localizable9, (java.lang.Number)138.0d);
    mathException8.addSuppressed((java.lang.Throwable)notPositiveException11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)notPositiveException11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0d+ "'", number4.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test246"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1014L, (-99999999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1014L);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.2829273751703343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9087012867984491d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.22545671732667832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.9287108044928841d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test250"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(2135918599, 1084453365);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test251"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.1687418398384144d, (java.lang.Number)(-1.0f), false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.1687418398384144d+ "'", number5.equals(1.1687418398384144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.1687418398384144d+ "'", number6.equals(1.1687418398384144d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test252"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 127);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger5);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 127);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger13);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, (-1721030945645000L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test253"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.11774848674246764d), 4.114625959473734d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array10);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D3, localizable4, obj_array10);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D3.negate();
    double d15 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test254"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D1, localizable2, obj_array8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    java.lang.String str24 = vector3D21.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D28.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D14, 0.0d, vector3D21, 100.0d, vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D21.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.dotProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D35.crossProduct((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException52 = new org.apache.commons.math.exception.NullArgumentException(localizable47, obj_array51);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException53 = new org.apache.commons.math.exception.MathArithmeticException(localizable46, obj_array51);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D44, localizable45, obj_array51);
    double d55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D38, vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.dotProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D57.crossProduct((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D1, 0.0d, vector3D21, Double.POSITIVE_INFINITY, vector3D44, 0.0d, vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d74 = vector3D70.distance1((org.apache.commons.math.geometry.Vector)vector3D73);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D73.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d82 = vector3D78.distance1((org.apache.commons.math.geometry.Vector)vector3D81);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D81.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = vector3D73.add((org.apache.commons.math.geometry.Vector)vector3D83);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D1.add(0.015939408589396797d, (org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D93 = vector3D90.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D92);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D94 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D93);
    java.lang.String str95 = vector3D94.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D96 = vector3D94.negate();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D97 = vector3D84.add(0.9235836577769269d, (org.apache.commons.math.geometry.Vector)vector3D96);
    double d98 = vector3D84.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{0.86; 0; -0.51}"+ "'", str24.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str95 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str95.equals("{(NaN); (NaN); (NaN)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 1.724637744575368d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test255"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-4732835100523750L), (-99999999990L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test256"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, 1063030291);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test257"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.469446951953614E-18d, (java.lang.Number)1.869459635942992d, true);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test258"); }


    int i2 = org.apache.commons.math.util.FastMath.min(128, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test259"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.99999994f, 0, (-1084453366));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test260"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable10, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable8, obj_array14);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, localizable7, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array0, localizable4, obj_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test261"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-6.261541405188786d), 1.0038569086781521d, 1.368684513397443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test262"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d1 = rotation0.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation3 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = rotation3.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = rotation3.applyInverseTo(rotation10);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = rotation10.revert();
    double[][] d_array_array13 = rotation10.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = rotation0.applyInverseTo(rotation10);
    double d15 = rotation0.getAngle();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation22 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d23 = rotation22.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D31, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation22.applyTo(rotation33);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation35 = rotation16.applyTo(rotation33);
    double d36 = org.apache.commons.math.geometry.euclidean.threed.Rotation.distance(rotation0, rotation33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9999999999999999d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.5730598909872843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7736860423801708d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test264"); }


    int[] i_array1 = new int[] { 1 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array5 = new int[] { 1 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int i9 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array7);
    int[] i_array11 = new int[] { 1 };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array11, 1);
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array11);
    int[] i_array17 = new int[] { 0, 0 };
    int i18 = org.apache.commons.math.util.MathUtils.distance1(i_array11, i_array17);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array11);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array21 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i22 = org.apache.commons.math.util.MathUtils.distance1(i_array20, i_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test265"); }


    double[] d_array0 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.dotProduct((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D1.crossProduct((org.apache.commons.math.geometry.Vector)vector3D4);
    boolean b10 = vector3D1.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d15 = vector3D1.distanceSq((org.apache.commons.math.geometry.Vector)vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d31 = vector3D27.distance1((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D30.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D22.add((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D1, vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.distance1((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D41.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d53 = vector3D49.distance1((org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = vector3D52.orthogonal();
    java.lang.String str55 = vector3D52.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = vector3D59.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D45, 0.0d, vector3D52, 100.0d, vector3D62);
    boolean b64 = vector3D45.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation65 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = rotation65.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D45.crossProduct((org.apache.commons.math.geometry.Vector)vector3D66);
    double d68 = vector3D41.distanceInf((org.apache.commons.math.geometry.Vector)vector3D66);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d75 = vector3D71.distance1((org.apache.commons.math.geometry.Vector)vector3D74);
    double d76 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D71);
    double d77 = vector3D1.distanceSq((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation79 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D1, 2.93719851998592E8d);
    org.apache.commons.math.geometry.euclidean.threed.RotationOrder rotationOrder80 = null;
    double[] d_array81 = rotation79.getAngles(rotationOrder80);
    double d82 = org.apache.commons.math.util.MathUtils.safeNorm(d_array81);
    boolean b83 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array0, d_array81);
    double[] d_array85 = org.apache.commons.math.util.MathUtils.copyOf(d_array81, 105119745);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "{0.86; 0; -0.51}"+ "'", str55.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test266"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.0038569086781521d, (-0.006671503387875113d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.003856908678152d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test267"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d6 = rotation5.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d13 = vector3D9.distance1((org.apache.commons.math.geometry.Vector)vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D14, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation17 = rotation5.applyTo(rotation16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = rotation27.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = rotation17.applyInverseTo(rotation27);
    double d30 = rotation29.getAngle();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test268"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(6400.0f, 1.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test269"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9588510772084058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(362880.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 362880.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test271"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D22.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D24.scalarMultiply(0.7853981633974483d);
    double d28 = vector3D19.distance((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation30 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D19, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation32 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D19, (-2.4484853516237646d));
    org.apache.commons.math.geometry.euclidean.threed.RotationOrder rotationOrder33 = null;
    double[] d_array34 = rotation32.getAngles(rotationOrder33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test272"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign((-7.9999995f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(137.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test274"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.525879E-5f, 2129472766, 9291714);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test275"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.distance1((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D17.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D9.add((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D9.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d29 = vector3D25.distance1((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.orthogonal();
    double d31 = vector3D30.getNorm();
    org.apache.commons.math.geometry.Space space32 = vector3D30.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D9.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D30);
    double d34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D3, vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D3.getZero();
    java.lang.String str36 = vector3D3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 6.80296220485724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "{0.87; 2.25; 0}"+ "'", str36.equals("{0.87; 2.25; 0}"));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test276"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1768134597, (-1063030190));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1768134597);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test277"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.536743E-7f, 1216562154);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test278"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    double d9 = vector3D3.getDelta();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D3.subtract((-0.7615941559557649d), (org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D16.orthogonal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.log(2.258208610710894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8145718488430543d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test280"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)9);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test281"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation17 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d18 = rotation17.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = rotation17.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation20 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = rotation20.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation28 = rotation20.applyInverseTo(rotation27);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = rotation27.revert();
    double[][] d_array_array30 = rotation27.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation31 = rotation17.applyInverseTo(rotation27);
    double d32 = org.apache.commons.math.geometry.euclidean.threed.Rotation.distance(rotation9, rotation27);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation9.applyTo(rotation33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test282"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.8808196694103063d, 0.9936139681890964d, (-0.8775825618903728d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test283"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(266.1890036377078d, 4.628595686584303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 266.1890036377078d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test284"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.0011563734227039407d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1028057181);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test285"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 127);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 127);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger11);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger11);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException18 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger11, (java.lang.Number)(-2.4484853516237646d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test286"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(6400.0f, 1.192093E-7f, 1879291247);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test287"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.5247497074078576d, 1.1102230246251565E-16d, 4.332553495674714d, 0.816070942896374d, 0.07049956500122789d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.535671016364245d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test288"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D17.orthogonal();
    java.lang.String str20 = vector3D17.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D24.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D10, 0.0d, vector3D17, 100.0d, vector3D27);
    boolean b29 = vector3D10.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation30 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = rotation30.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    double d33 = vector3D6.distanceInf((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.distance1((org.apache.commons.math.geometry.Vector)vector3D39);
    double d41 = vector3D6.dotProduct((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = rotation0.applyInverseTo(vector3D36);
    double d43 = rotation0.getAngle();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation44 = rotation0.revert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "{0.86; 0; -0.51}"+ "'", str20.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation44);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test289"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(5040L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5040L));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test290"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-1.0f), 9.999998f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test291"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.dotProduct((org.apache.commons.math.geometry.Vector)vector3D5);
    double d7 = vector3D5.getDelta();
    boolean b8 = vector3D5.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test292"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-10999999998900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10999999998900L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test293"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D9, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation17 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation18 = rotation11.applyInverseTo(rotation17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d25 = vector3D21.distance1((org.apache.commons.math.geometry.Vector)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = vector3D24.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d34 = vector3D30.dotProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D27.crossProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    double d36 = vector3D30.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = vector3D26.crossProduct((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = rotation11.applyInverseTo(vector3D30);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException48 = new org.apache.commons.math.exception.NullArgumentException(localizable43, obj_array47);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException49 = new org.apache.commons.math.exception.MathArithmeticException(localizable42, obj_array47);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D40, localizable41, obj_array47);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D30, localizable39, obj_array47);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException52 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array47);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException53 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test294"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.01875572108597101d), number2, true);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection8 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException10 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)1, (java.lang.Number)(byte)(-1), 0, orderDirection8, false);
    java.lang.Number number11 = nonMonotonousSequenceException10.getArgument();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)nonMonotonousSequenceException10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection13 = nonMonotonousSequenceException10.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (short)1+ "'", number11.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection13);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test295"); }


    int i2 = org.apache.commons.math.util.FastMath.max(4, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test296"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck((-1879291247), (-104539820));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1983831067));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.6674572160283838d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.618990892446662d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test298"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(1.3385661990458504d, 0.16501566686647173d, 1.2037266279837113d, 2.062576957557844d, 20.19128416722146d, 275.0273267581053d, 0.7921110579265004d, 0.9639868127162821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 5556.622156138281d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test299"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(348.4671341677502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.081898826216071d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test300"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D18, 0.015939408589396797d, vector3D21);
    double d23 = vector3D22.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException(localizable28, obj_array32);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException34 = new org.apache.commons.math.exception.MathArithmeticException(localizable27, obj_array32);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D25, localizable26, obj_array32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.orthogonal();
    java.lang.String str48 = vector3D45.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D52.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D38, 0.0d, vector3D45, 100.0d, vector3D55);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = vector3D45.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d66 = vector3D62.dotProduct((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D59.crossProduct((org.apache.commons.math.geometry.Vector)vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException76 = new org.apache.commons.math.exception.NullArgumentException(localizable71, obj_array75);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException77 = new org.apache.commons.math.exception.MathArithmeticException(localizable70, obj_array75);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D68, localizable69, obj_array75);
    double d79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D62, vector3D68);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D87 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d88 = vector3D84.dotProduct((org.apache.commons.math.geometry.Vector)vector3D87);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = vector3D81.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D25, 0.0d, vector3D45, Double.POSITIVE_INFINITY, vector3D68, 0.0d, vector3D89);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D89.getZero();
    double d92 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D22, vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9440616162109872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "{0.86; 0; -0.51}"+ "'", str48.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.167061316241143d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test301"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array13);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, d_array_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable6, localizable7, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array17);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException21 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable3, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext25 = mathArithmeticException24.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test302"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.6619307114455286d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test303"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d15 = vector3D11.dotProduct((org.apache.commons.math.geometry.Vector)vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D8.crossProduct((org.apache.commons.math.geometry.Vector)vector3D11);
    double d17 = vector3D11.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.crossProduct((org.apache.commons.math.geometry.Vector)vector3D11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D11.getZero();
    double d20 = vector3D11.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.8623188722876839d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test304"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.5730598909872843d, 0.0d, 0.3906735035681955d, 4.050213930136244d, false);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d12 = vector3D8.distance1((org.apache.commons.math.geometry.Vector)vector3D11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = vector3D11.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D13, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.dotProduct((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D16.crossProduct((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D13.add((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d27 = vector3D26.getAlpha();
    double d28 = vector3D19.distanceSq((org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException37 = new org.apache.commons.math.exception.NullArgumentException(localizable32, obj_array36);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable31, obj_array36);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D29, localizable30, obj_array36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d47 = vector3D43.distance1((org.apache.commons.math.geometry.Vector)vector3D46);
    double d48 = vector3D43.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d57 = vector3D53.dotProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D50.crossProduct((org.apache.commons.math.geometry.Vector)vector3D53);
    boolean b59 = vector3D50.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D49, vector3D50);
    double d61 = vector3D29.dotProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    double d62 = vector3D29.getNorm();
    double d63 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D19, vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = rotation5.applyInverseTo(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test305"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.3018019822761655d, 0.888919599565099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test306"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1688552211684364d, 0.9639868127162821d, 1.5138636130983349E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test307"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable4, obj_array8);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { localizable4 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(localizable3, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array10);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.9999999999999999d, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.5247497074078576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4832507696224536d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test309"); }


    int[] i_array1 = new int[] { 1 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array5 = new int[] { 1 };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int i9 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array7);
    int[] i_array11 = new int[] { 1 };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array11, 1);
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array11);
    int[] i_array17 = new int[] { 0, 0 };
    int i18 = org.apache.commons.math.util.MathUtils.distance1(i_array11, i_array17);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test310"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.11077534077641144d, 0.84267911072993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1307066739962549d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test311"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array12);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array12, d_array_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable5, localizable6, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array3, d_array_array16);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException20 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable2, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test312"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d1 = rotation0.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation3 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = rotation3.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = rotation3.applyInverseTo(rotation10);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = rotation10.revert();
    double[][] d_array_array13 = rotation10.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = rotation0.applyInverseTo(rotation10);
    double d15 = rotation14.getQ3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-1.5485138917033876d));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test313"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(11013.232922668418d, 0.7763912771075537d, (-21423083));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test314"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test315"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array4, 0.0159394085893968d);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array6, (-0.6508801680230075d));
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test316"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, (-90.90617416659082d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test317"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D16.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D8.add((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D19, 0.015939408589396797d, vector3D22);
    double d24 = vector3D23.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d35 = vector3D31.distance1((org.apache.commons.math.geometry.Vector)vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.orthogonal();
    java.lang.String str37 = vector3D34.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D41.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D27, 0.0d, vector3D34, 100.0d, vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D23.add((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.9235836577769269d, vector3D46);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9440616162109872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{0.86; 0; -0.51}"+ "'", str37.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test318"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-101), 100);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    int i4 = dimensionMismatchException2.getDimension();
    int i5 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-101)+ "'", number3.equals((-101)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-1084453365), (-101));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test320"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    double d9 = vector3D4.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D4);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.dotProduct((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D11.crossProduct((org.apache.commons.math.geometry.Vector)vector3D14);
    boolean b20 = vector3D11.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D10, vector3D11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D11.orthogonal();
    // The following exception was thrown during execution in test generation
    try {
      double d23 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D0, vector3D11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test321"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.9235836577769269d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9235836577769269d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test322"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 0.652067116618825d, 1.5707963267948966d, 0.0d, true);
    double d6 = rotation5.getQ0();
    double d7 = rotation5.getAngle();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 3.141592653589793d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test323"); }


    double d3 = org.apache.commons.math.util.MathUtils.round(1.316363078270832d, 0, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test324"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.999998f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test325"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.3018019822761655d, 8.690450698128998d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test326"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 127);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger5);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1004L);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 127);
    java.math.BigInteger bigInteger16 = null;
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 127);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger21);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger25);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 25100000000000L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, (-110L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test327"); }


    double[] d_array3 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 0.0159394085893968d);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double d11 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test328"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.distance1((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D17.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D9.add((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D9.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d29 = vector3D25.distance1((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.orthogonal();
    double d31 = vector3D30.getNorm();
    org.apache.commons.math.geometry.Space space32 = vector3D30.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D9.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D30);
    double d34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D3, vector3D33);
    boolean b35 = vector3D3.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d42 = vector3D38.distance1((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D41.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation45 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D43, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D51.orthogonal();
    java.lang.String str54 = vector3D51.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D43.subtract((org.apache.commons.math.geometry.Vector)vector3D51);
    double d56 = vector3D55.getDelta();
    double d57 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D3, vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 6.80296220485724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{0.86; 0; -0.51}"+ "'", str54.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.316363078270832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 2.901261029872671d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test329"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(2.0d, 0.862318872287684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test330"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.2169881508980025d), 0.9995803351417584d, 1084453366);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(11.721317282870464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1270396435533534d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test332"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)3094.595276924238d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.5939388596511113d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1816281234347081d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test334"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array10);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, d_array_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable3, localizable4, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])d_array_array14);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(localizable0, (java.lang.Object[])d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8461078131853638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6890306282454896d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test336"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.1920929E-7f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test337"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance1(d_array2, d_array7);
    double d9 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array2);
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distance1(d_array15, d_array20);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable13, localizable14, (java.lang.Object[])d_array_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array24);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array24);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double[] d_array33 = new double[] {  };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distance1(d_array29, d_array34);
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array34);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array37);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array41);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array41);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array41);
    double[] d_array45 = new double[] {  };
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double d47 = org.apache.commons.math.util.MathUtils.distance1(d_array41, d_array46);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, d_array_array50);
    double d52 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array46);
    double d53 = org.apache.commons.math.util.MathUtils.distance1(d_array36, d_array46);
    double d54 = org.apache.commons.math.util.MathUtils.safeNorm(d_array36);
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array2, d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test338"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.1684043449710089E-19d, (-1.1752011936438014d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test339"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(0, (-1946713039));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1946713039);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(582.868953786402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.370156900107598E253d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test341"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    double d8 = vector3D7.getNorm();
    org.apache.commons.math.geometry.Space space9 = vector3D7.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    double d14 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D7, vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D7.orthogonal();
    java.text.NumberFormat numberFormat16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str17 = vector3D7.toString(numberFormat16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 137.1376811277123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test342"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    double d9 = vector3D3.getDelta();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D3.subtract((-0.7615941559557649d), (org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.dotProduct(vector3D3, vector3D19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test343"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.26791998231340586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-441455157));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.652067116618825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7103077376032235d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test345"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.542788946670442d, (java.lang.Number)0.8686709614860095d, 127, orderDirection3, true);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test346"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(33303.915963739826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test347"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(25100000000000L, 509028L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1004L);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test348"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-30.42227840157436d), 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9936481343235712d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test349"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number4 = nonMonotonousSequenceException3.getArgument();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    boolean b6 = nonMonotonousSequenceException3.getStrict();
    int i7 = nonMonotonousSequenceException3.getIndex();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException3);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    double[] d_array10 = new double[] {  };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double d18 = org.apache.commons.math.util.MathUtils.distance1(d_array12, d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distance(d_array11, d_array12);
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array12);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array25, d_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array30, d_array_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable23, localizable24, (java.lang.Object[])d_array_array34);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable21, (java.lang.Number)0.8392383565875312d, (java.lang.Object[])d_array_array34);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array12, d_array_array34);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException46 = new org.apache.commons.math.exception.NullArgumentException(localizable41, obj_array45);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { localizable41 };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(localizable40, obj_array47);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array_array34, localizable39, obj_array47);
    // The following exception was thrown during execution in test generation
    try {
      mathException8.addMessage(localizable9, obj_array47);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0d+ "'", number4.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test350"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable12, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D9, localizable10, obj_array16);
    double d20 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D3, vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d22 = vector3D3.distance((org.apache.commons.math.geometry.Vector)vector3D21);
    double d23 = vector3D3.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.9936139681890962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test351"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(10999999998900L, (-1983831067));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(100.00001f, 9291714, 10000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test353"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D8, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d21 = vector3D17.distance1((org.apache.commons.math.geometry.Vector)vector3D20);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D20.orthogonal();
    java.lang.String str23 = vector3D20.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = vector3D27.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D13, 0.0d, vector3D20, 100.0d, vector3D30);
    boolean b32 = vector3D13.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = rotation33.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D13.crossProduct((org.apache.commons.math.geometry.Vector)vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d45 = vector3D41.distance1((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D44.orthogonal();
    java.lang.String str47 = vector3D44.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = vector3D51.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D37, 0.0d, vector3D44, 100.0d, vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.distance1((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D63.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d72 = vector3D68.distance1((org.apache.commons.math.geometry.Vector)vector3D71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = vector3D71.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D63.add((org.apache.commons.math.geometry.Vector)vector3D73);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D74, 0.015939408589396797d, vector3D77);
    double d79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D55, vector3D74);
    org.apache.commons.math.geometry.Space space80 = vector3D74.getSpace();
    double d81 = vector3D34.distance1((org.apache.commons.math.geometry.Vector)vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.11694059375159992d), vector3D8, 0.673669314412151d, vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "{0.86; 0; -0.51}"+ "'", str23.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "{0.86; 0; -0.51}"+ "'", str47.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.7246377445753681d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.3416840812260651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-19.577055781058736d));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.8958045798328995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04778672153960973d));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test356"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1084453365), (-104539820));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test357"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D18, 0.015939408589396797d, vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d29 = vector3D25.distance1((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation32 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D30, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.dotProduct((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D33.crossProduct((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D30.add((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D18.add((org.apache.commons.math.geometry.Vector)vector3D30);
    double d44 = vector3D18.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test358"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(115.49866317191179d, (-1.074623659950664d), 11013.232922668418d, (-5.0d), 0.09247264651318214d, (-0.9999705283416994d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-55190.37467940049d));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test359"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-7.9999995f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test360"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8169805481334202d, (java.lang.Number)1.869459635942992d, 1084453357);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)0.6505811413523367d, (java.lang.Number)2.258208610710894d, false);
    java.lang.Number number9 = numberIsTooSmallException8.getMin();
    nonMonotonousSequenceException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 2.258208610710894d+ "'", number9.equals(2.258208610710894d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test361"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D18, 0.015939408589396797d, vector3D21);
    double d23 = vector3D22.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.normalize();
    org.apache.commons.math.geometry.Space space25 = vector3D22.getSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9440616162109872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test362"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-9));
    java.lang.Number number3 = notPositiveException2.getMin();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation6 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d13 = vector3D9.distance1((org.apache.commons.math.geometry.Vector)vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    java.lang.String str26 = vector3D23.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D30.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D16, 0.0d, vector3D23, 100.0d, vector3D33);
    boolean b35 = vector3D16.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = rotation36.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D16.crossProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    double d39 = vector3D12.distanceInf((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    double d47 = vector3D12.dotProduct((org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = rotation6.applyInverseTo(vector3D42);
    double d49 = rotation6.getAngle();
    double[][] d_array_array50 = rotation6.getMatrix();
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(localizable5, (java.lang.Object[])d_array_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)notPositiveException2, localizable4, (java.lang.Object[])d_array_array50);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException53 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "{0.86; 0; -0.51}"+ "'", str26.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test363"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation((-740919.3056882648d), (-0.0011563734227039407d), (-0.0011563734227039407d), 20265.956753588278d, false);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = rotation5.getAxis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test364"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test365"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation7 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = rotation0.applyInverseTo(rotation7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = rotation8.getAxis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test366"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number6 = nonMonotonousSequenceException5.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array13);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, d_array_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException5, localizable7, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException20 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable1, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException21 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable0, (java.lang.Object[])d_array_array17);
    java.lang.Throwable[] throwable_array22 = notARotationMatrixException21.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0d+ "'", number6.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test367"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 0.652067116618825d, 1.5707963267948966d, 0.0d, true);
    double d6 = rotation5.getQ2();
    double d7 = rotation5.getQ2();
    double d8 = rotation5.getAngle();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.9235836577769269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9235836577769269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test368"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation2 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = rotation2.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = rotation2.applyInverseTo(rotation9);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = rotation9.revert();
    double[][] d_array_array12 = rotation9.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException13 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable1, (java.lang.Object[])d_array_array12);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException14 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable0, (java.lang.Object[])d_array_array12);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj16 = notARotationMatrixException14.getContext("{-0.86; -0; 0.51}");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test369"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(0L, (-4732835100523750L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4732835100523750L);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test370"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.9998140668686113d, obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(localizable0, obj_array7);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException11.addMessage(localizable12, obj_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test371"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.0038569086781521d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test372"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D5.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d25 = vector3D21.distance1((org.apache.commons.math.geometry.Vector)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = vector3D24.orthogonal();
    double d27 = vector3D26.getNorm();
    org.apache.commons.math.geometry.Space space28 = vector3D26.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D5.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d36 = vector3D32.distance1((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = vector3D35.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d45 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = vector3D38.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    double d47 = vector3D41.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D37.crossProduct((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D41.getZero();
    org.apache.commons.math.geometry.Space space50 = vector3D41.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NEGATIVE_INFINITY;
    double d52 = vector3D41.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    boolean b53 = vector3D51.isNaN();
    double d54 = vector3D26.distance((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d62 = vector3D58.distance1((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.orthogonal();
    java.lang.String str64 = vector3D61.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d71 = vector3D67.distance1((org.apache.commons.math.geometry.Vector)vector3D70);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = vector3D70.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d82 = vector3D78.distance1((org.apache.commons.math.geometry.Vector)vector3D81);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D81.orthogonal();
    java.lang.String str84 = vector3D81.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D88.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D90);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D74, 0.0d, vector3D81, 100.0d, vector3D91);
    boolean b93 = vector3D74.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation94 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D95 = rotation94.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D96 = vector3D74.crossProduct((org.apache.commons.math.geometry.Vector)vector3D95);
    double d97 = vector3D70.distanceInf((org.apache.commons.math.geometry.Vector)vector3D95);
    double d98 = vector3D61.distanceSq((org.apache.commons.math.geometry.Vector)vector3D95);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D99 = vector3D26.subtract((-5.562606968307632d), (org.apache.commons.math.geometry.Vector)vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "{0.86; 0; -0.51}"+ "'", str64.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "{0.86; 0; -0.51}"+ "'", str84.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.27536225542463216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D99);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test373"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException11 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)138.0d, (java.lang.Number)0.5730598909872844d, 1879291247, orderDirection9, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException13 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2.0d, (java.lang.Number)10.0f, 3, orderDirection9, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException15 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1688552211684364d, (java.lang.Number)1.1748181705985365d, (-1879291247), orderDirection9, true);
    java.lang.String str16 = nonMonotonousSequenceException15.toString();
    boolean b17 = nonMonotonousSequenceException15.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = nonMonotonousSequenceException15.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -1,879,291,248 and -1,879,291,247 are not strictly decreasing (1.175 <= 1.169)"+ "'", str16.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -1,879,291,248 and -1,879,291,247 are not strictly decreasing (1.175 <= 1.169)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test374"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.888919599565099d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test375"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.1816281234347081d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test376"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d2 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test377"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 127);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger5);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-17210309456450L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test378"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(66.96397476309596d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test379"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation7 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation8 = rotation0.applyInverseTo(rotation7);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 0.09851270695639507d, 582.868953786402d, 0.8169805481334202d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = rotation8.applyTo(rotation14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D20.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D23);
    java.lang.String str25 = vector3D24.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d33 = vector3D29.distance1((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D32.orthogonal();
    boolean b35 = vector3D34.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.1715532342785887d), vector3D24, 275.0273267581053d, vector3D34);
    java.lang.String str37 = vector3D36.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D36.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation14.applyInverseTo(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str25.equals("{(NaN); (NaN); (NaN)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str37.equals("{(NaN); (NaN); (NaN)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(2.1684043449710089E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test381"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.0000000000000002d, (java.lang.Number)0.2544332485240648d, false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.3686845133974428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0923093258752314d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test383"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 100, (-1879291247));
    int i4 = dimensionMismatchException3.getDimension();
    java.lang.Number number5 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1879291247));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100+ "'", number5.equals(100));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test384"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(9, (-196513505));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8392383565875311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6854054349091405d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test386"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(9291714);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test387"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(2, 99999999989L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test388"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-5047021154770878464L), 1014L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1014L);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test389"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1084453357), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test390"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    java.lang.String str11 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D1, 0.0d, vector3D8, 100.0d, vector3D18);
    boolean b20 = vector3D1.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation21 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = rotation21.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D1.crossProduct((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    double d31 = vector3D26.getX();
    double d32 = vector3D1.distanceInf((org.apache.commons.math.geometry.Vector)vector3D26);
    boolean b33 = vector3D1.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0.86; 0; -0.51}"+ "'", str11.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test391"); }


    long long1 = org.apache.commons.math.util.FastMath.round(66.96397476309596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 67L);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test392"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.062576957557844d, (java.lang.Number)0.8808196694103063d, true);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test393"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1959030169);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1959030169);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test394"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger4 = null;
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 127);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger6);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1004L);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 127);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 127);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, bigInteger22);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger22);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger26);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 25100000000000L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException30 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger29);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 100L);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException34 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-17210309456450L), (java.lang.Number)bigInteger29, false);
    java.lang.Number number35 = numberIsTooLargeException34.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number35);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test395"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(0.9058914717852132d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test396"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.718281828459045d, (java.lang.Number)(-1084453365), false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test397"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.27956501402252987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test398"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(2.324746913043277E59d, 0.40622120435357845d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-4732835100523750L), (-10999999998900L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test400"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation21 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d28 = vector3D24.distance1((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D27.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.distance1((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.orthogonal();
    java.lang.String str41 = vector3D38.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D45.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D31, 0.0d, vector3D38, 100.0d, vector3D48);
    boolean b50 = vector3D31.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation51 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = rotation51.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D31.crossProduct((org.apache.commons.math.geometry.Vector)vector3D52);
    double d54 = vector3D27.distanceInf((org.apache.commons.math.geometry.Vector)vector3D52);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d61 = vector3D57.distance1((org.apache.commons.math.geometry.Vector)vector3D60);
    double d62 = vector3D27.dotProduct((org.apache.commons.math.geometry.Vector)vector3D57);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = rotation21.applyInverseTo(vector3D57);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(137.38927884571783d, vector3D63);
    double d65 = vector3D7.distance1((org.apache.commons.math.geometry.Vector)vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d73 = vector3D69.distance1((org.apache.commons.math.geometry.Vector)vector3D72);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D72.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d82 = vector3D78.dotProduct((org.apache.commons.math.geometry.Vector)vector3D81);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = vector3D75.crossProduct((org.apache.commons.math.geometry.Vector)vector3D78);
    double d84 = vector3D78.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D74.crossProduct((org.apache.commons.math.geometry.Vector)vector3D78);
    org.apache.commons.math.geometry.Space space86 = vector3D85.getSpace();
    java.lang.String str87 = vector3D85.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = vector3D7.add(1003.61677401879d, (org.apache.commons.math.geometry.Vector)vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "{0.86; 0; -0.51}"+ "'", str41.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 188.39853149415478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + "{0; 1; 0}"+ "'", str87.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test401"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm(0, (-1084453357));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1216562154, (java.lang.Number)1.1920929E-7f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.1920929E-7f+ "'", number5.equals(1.1920929E-7f));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test403"); }


    double[] d_array0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    boolean b5 = org.apache.commons.math.util.MathUtils.equals(d_array1, d_array4);
    double[] d_array9 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array9, 0.0159394085893968d);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array4, d_array9);
    boolean b14 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array4);
    double[] d_array18 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 0.0159394085893968d);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array21, 0);
    boolean b25 = org.apache.commons.math.util.MathUtils.equals(d_array18, d_array21);
    boolean b26 = org.apache.commons.math.util.MathUtils.equals(d_array0, d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test404"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.distance1((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D8, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation17 = rotation10.applyInverseTo(rotation16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d33 = vector3D29.dotProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D26.crossProduct((org.apache.commons.math.geometry.Vector)vector3D29);
    double d35 = vector3D29.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = rotation10.applyInverseTo(vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D37.getZero();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d54 = vector3D50.distance1((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D53.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D45.add((org.apache.commons.math.geometry.Vector)vector3D55);
    double d57 = vector3D45.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d64 = vector3D60.distance1((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = vector3D63.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation67 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D65, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation73 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation74 = rotation67.applyInverseTo(rotation73);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d81 = vector3D77.distance1((org.apache.commons.math.geometry.Vector)vector3D80);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D80.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D86 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d90 = vector3D86.dotProduct((org.apache.commons.math.geometry.Vector)vector3D89);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D83.crossProduct((org.apache.commons.math.geometry.Vector)vector3D86);
    double d92 = vector3D86.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D93 = vector3D82.crossProduct((org.apache.commons.math.geometry.Vector)vector3D86);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D94 = rotation67.applyInverseTo(vector3D86);
    double d95 = vector3D45.distance((org.apache.commons.math.geometry.Vector)vector3D94);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D96 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NEGATIVE_INFINITY;
    double d97 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D94, vector3D96);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D98 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.324746913043277E59d, vector3D37, 1.9195045706422722d, vector3D96);
    double d99 = vector3D96.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test405"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = rotation9.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    double d19 = vector3D14.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d28 = vector3D24.dotProduct((org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D21.crossProduct((org.apache.commons.math.geometry.Vector)vector3D24);
    boolean b30 = vector3D21.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D20, vector3D21);
    double d32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D10, vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d39 = vector3D35.distance1((org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d48 = vector3D44.dotProduct((org.apache.commons.math.geometry.Vector)vector3D47);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D41.crossProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    double d50 = vector3D44.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D40.crossProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = vector3D44.getZero();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D31.crossProduct((org.apache.commons.math.geometry.Vector)vector3D44);
    java.lang.String str54 = vector3D44.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{0.86; 0; -0.51}"+ "'", str54.equals("{0.86; 0; -0.51}"));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test406"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    boolean b7 = vector3D5.isInfinite();
    double d8 = vector3D5.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance1(vector3D5, vector3D9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9999999999999999d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test407"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.99999994f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.9440892412430647d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8412810707398334d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test409"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-196513505), 1080115200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1276628705));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test410"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d14 = vector3D10.distance1((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D5.add((org.apache.commons.math.geometry.Vector)vector3D15);
    double d17 = vector3D5.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d24 = vector3D20.distance1((org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation27 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D25, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation34 = rotation27.applyInverseTo(rotation33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d50 = vector3D46.dotProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D43.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    double d52 = vector3D46.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D42.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = rotation27.applyInverseTo(vector3D46);
    double d55 = vector3D5.distance((org.apache.commons.math.geometry.Vector)vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation57 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d58 = rotation57.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d65 = vector3D61.distance1((org.apache.commons.math.geometry.Vector)vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D64.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d73 = vector3D69.distance1((org.apache.commons.math.geometry.Vector)vector3D72);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = vector3D72.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D64.add((org.apache.commons.math.geometry.Vector)vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = vector3D64.normalize();
    boolean b77 = vector3D76.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = rotation57.applyInverseTo(vector3D76);
    double d79 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D56, vector3D76);
    double d80 = vector3D76.getAlpha();
    double d81 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D54, vector3D76);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D86 = vector3D54.add((org.apache.commons.math.geometry.Vector)vector3D85);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D87 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_I;
    boolean b88 = vector3D54.equals((java.lang.Object)vector3D87);
    double d89 = vector3D87.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.9588510772084057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.9588510772084058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test411"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.586612049598422d), 8.690450698128998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.586612049598422d));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test412"); }


    int[] i_array1 = new int[] { 1 };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = new int[] { 1 };
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array6, 1);
    int[] i_array10 = new int[] { 1 };
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int i14 = org.apache.commons.math.util.MathUtils.distanceInf(i_array8, i_array12);
    int[] i_array16 = new int[] { 1 };
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 1);
    int i19 = org.apache.commons.math.util.MathUtils.distanceInf(i_array8, i_array16);
    int[] i_array22 = new int[] { 0, 0 };
    int i23 = org.apache.commons.math.util.MathUtils.distance1(i_array16, i_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distance(i_array4, i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test413"); }


    float[] f_array2 = new float[] { 0.0f, 0.0f };
    float[] f_array4 = new float[] { 10.0f };
    float[] f_array5 = new float[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array5);
    boolean b7 = org.apache.commons.math.util.MathUtils.equals(f_array2, f_array4);
    float[] f_array9 = new float[] { 10.0f };
    float[] f_array10 = new float[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array10);
    float[] f_array13 = new float[] { 10.0f };
    float[] f_array14 = null;
    boolean b15 = org.apache.commons.math.util.MathUtils.equals(f_array13, f_array14);
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array13);
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array2, f_array9);
    float[] f_array19 = new float[] { 10.0f };
    float[] f_array20 = new float[] {  };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array19, f_array20);
    float[] f_array23 = new float[] { 10.0f };
    float[] f_array24 = new float[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array24);
    float[] f_array27 = new float[] { 10.0f };
    float[] f_array28 = null;
    boolean b29 = org.apache.commons.math.util.MathUtils.equals(f_array27, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array27);
    float[] f_array33 = new float[] { 100.0f, 10.0f };
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array23, f_array33);
    boolean b35 = org.apache.commons.math.util.MathUtils.equals(f_array20, f_array33);
    boolean b36 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test414"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(100000000000L, (-275L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-27500000000000L));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test415"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(1.0000006686004168d, 0.0d, 8.525161361065415d, 0.09247264651318214d, false);
    double d6 = rotation5.getQ1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test416"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-1721030945645000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test417"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    double d1 = rotation0.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation3 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = rotation3.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = rotation3.applyInverseTo(rotation10);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = rotation10.revert();
    double[][] d_array_array13 = rotation10.getMatrix();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation14 = rotation0.applyInverseTo(rotation10);
    double d15 = rotation14.getQ2();
    double d16 = rotation14.getQ2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-2.1457116371479565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-2.1457116371479565d));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test418"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(5.9604645E-8f, 10.0f, 7.9999995f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test419"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(0L, (-10999999998900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10999999998900L);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test420"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    double d34 = vector3D28.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = rotation9.applyInverseTo(vector3D28);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException46 = new org.apache.commons.math.exception.NullArgumentException(localizable41, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable40, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D38, localizable39, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D28, localizable37, obj_array45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = vector3D28.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D28.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d60 = vector3D56.dotProduct((org.apache.commons.math.geometry.Vector)vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D53.crossProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException70 = new org.apache.commons.math.exception.NullArgumentException(localizable65, obj_array69);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException71 = new org.apache.commons.math.exception.MathArithmeticException(localizable64, obj_array69);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D62, localizable63, obj_array69);
    double d73 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D56, vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d81 = vector3D77.dotProduct((org.apache.commons.math.geometry.Vector)vector3D80);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = vector3D74.crossProduct((org.apache.commons.math.geometry.Vector)vector3D77);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d84 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D82, vector3D83);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D56.subtract((org.apache.commons.math.geometry.Vector)vector3D83);
    double d86 = vector3D52.dotProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    double d87 = vector3D52.getZ();
    double d88 = vector3D51.distance((org.apache.commons.math.geometry.Vector)vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test421"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0, 0);
    double[] d_array4 = null;
    double d5 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array4, orderDirection6, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test422"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array9);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D2, localizable3, obj_array9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    java.lang.String str25 = vector3D22.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D29.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D15, 0.0d, vector3D22, 100.0d, vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D22.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d43 = vector3D39.dotProduct((org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D36.crossProduct((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException53 = new org.apache.commons.math.exception.NullArgumentException(localizable48, obj_array52);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException54 = new org.apache.commons.math.exception.MathArithmeticException(localizable47, obj_array52);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D45, localizable46, obj_array52);
    double d56 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D39, vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d65 = vector3D61.dotProduct((org.apache.commons.math.geometry.Vector)vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D58.crossProduct((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(2.718281828459045d, vector3D2, 0.0d, vector3D22, Double.POSITIVE_INFINITY, vector3D45, 0.0d, vector3D66);
    boolean b69 = vector3D66.equals((java.lang.Object)"{(NaN); (NaN); (NaN)}");
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    java.lang.String str75 = vector3D74.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-68.77586639882162d), vector3D66, 1.8160110397210951d, vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{0.86; 0; -0.51}"+ "'", str25.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "{0; -0.76; 138}"+ "'", str75.equals("{0; -0.76; 138}"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test423"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation1 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.distance1((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D18.orthogonal();
    java.lang.String str21 = vector3D18.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = vector3D25.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D27);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D11, 0.0d, vector3D18, 100.0d, vector3D28);
    boolean b30 = vector3D11.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation31 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = rotation31.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D11.crossProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    double d34 = vector3D7.distanceInf((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    double d42 = vector3D7.dotProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = rotation1.applyInverseTo(vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(137.38927884571783d, vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "{0.86; 0; -0.51}"+ "'", str21.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test424"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.11774848674246764d), 0.0d, 0.5075239611089358d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d13 = vector3D9.distance1((org.apache.commons.math.geometry.Vector)vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.orthogonal();
    java.lang.String str15 = vector3D12.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D19.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D5, 0.0d, vector3D12, 100.0d, vector3D22);
    boolean b24 = vector3D5.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation25 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = rotation25.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D5.crossProduct((org.apache.commons.math.geometry.Vector)vector3D26);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d34 = vector3D30.distance1((org.apache.commons.math.geometry.Vector)vector3D33);
    double d35 = vector3D30.getX();
    double d36 = vector3D5.distanceInf((org.apache.commons.math.geometry.Vector)vector3D30);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = vector3D5.scalarMultiply(0.8398328944570213d);
    double d39 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "{0.86; 0; -0.51}"+ "'", str15.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test425"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array13);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, d_array_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable6, localizable7, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, d_array_array17);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException21 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable3, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.234495723952107d), (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Rotation rotation26 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(d_array_array17, 2.258208610710894d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException");
    } catch (org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test426"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(20.353983595515654d, 4.332553495674714d, 1084453365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test427"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(275L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 275L);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test428"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = rotation9.revert();
    double d11 = rotation10.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = rotation10.revert();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)rotation10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test429"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    double d34 = vector3D28.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = rotation9.applyInverseTo(vector3D28);
    double d37 = rotation9.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation9.applyInverseTo(vector3D38);
    boolean b40 = vector3D38.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D44.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D46);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D47.scalarMultiply(23.6037784277151d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException60 = new org.apache.commons.math.exception.NullArgumentException(localizable55, obj_array59);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException61 = new org.apache.commons.math.exception.MathArithmeticException(localizable54, obj_array59);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D52, localizable53, obj_array59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D52.negate();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation65 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D63, 6.283185307179586d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D51.crossProduct((org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D49.add(0.0d, (org.apache.commons.math.geometry.Vector)vector3D63);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D38.subtract((-1.6699132069567934E-17d), (org.apache.commons.math.geometry.Vector)vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test430"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.distance1((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D25.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation29 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D27, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation35 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = rotation29.applyInverseTo(rotation35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d43 = vector3D39.distance1((org.apache.commons.math.geometry.Vector)vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D42.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.dotProduct((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D45.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    double d54 = vector3D48.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = vector3D44.crossProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = rotation29.applyInverseTo(vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = vector3D19.crossProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException67 = new org.apache.commons.math.exception.NullArgumentException(localizable62, obj_array66);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException68 = new org.apache.commons.math.exception.MathArithmeticException(localizable61, obj_array66);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D59, localizable60, obj_array66);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = vector3D58.add((org.apache.commons.math.geometry.Vector)vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test431"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D7);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D21.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D24);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d36 = vector3D32.dotProduct((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = vector3D29.crossProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException46 = new org.apache.commons.math.exception.NullArgumentException(localizable41, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable40, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D38, localizable39, obj_array45);
    double d49 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D32, vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d57 = vector3D53.dotProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D50.crossProduct((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D58, vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D32.subtract((org.apache.commons.math.geometry.Vector)vector3D59);
    double d62 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D24.add(1.9999999999999998d, (org.apache.commons.math.geometry.Vector)vector3D32);
    double d64 = vector3D15.distance((org.apache.commons.math.geometry.Vector)vector3D63);
    double d65 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.dotProduct(vector3D7, vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d75 = vector3D71.distance1((org.apache.commons.math.geometry.Vector)vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = vector3D74.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D82 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d83 = vector3D79.distance1((org.apache.commons.math.geometry.Vector)vector3D82);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = vector3D82.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = vector3D74.add((org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D86 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D85);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.6674572160283838d, vector3D85, 0.015939408589396797d, vector3D88);
    double d90 = vector3D88.getNorm();
    double d91 = vector3D66.distance1((org.apache.commons.math.geometry.Vector)vector3D88);
    org.apache.commons.math.geometry.Vector vector92 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d93 = vector3D66.distance(vector92);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.862318872287684d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test432"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, 0, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test433"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8808196694103063d, (-0.956362783791187d), 1.3686845133974428d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test434"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    java.lang.String str11 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D1, 0.0d, vector3D8, 100.0d, vector3D18);
    boolean b20 = vector3D1.isNaN();
    org.apache.commons.math.geometry.Space space21 = vector3D1.getSpace();
    double d22 = vector3D1.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D26.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.dotProduct((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D34.crossProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException51 = new org.apache.commons.math.exception.NullArgumentException(localizable46, obj_array50);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException52 = new org.apache.commons.math.exception.MathArithmeticException(localizable45, obj_array50);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D43, localizable44, obj_array50);
    double d54 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D37, vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d62 = vector3D58.dotProduct((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D55.crossProduct((org.apache.commons.math.geometry.Vector)vector3D58);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d65 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D63, vector3D64);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D37.subtract((org.apache.commons.math.geometry.Vector)vector3D64);
    double d67 = vector3D33.dotProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = vector3D29.add(1.9999999999999998d, (org.apache.commons.math.geometry.Vector)vector3D37);
    double d69 = vector3D29.getZ();
    double d70 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D1, vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0.86; 0; -0.51}"+ "'", str11.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test435"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation15 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation16 = rotation9.applyInverseTo(rotation15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d23 = vector3D19.distance1((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D22.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D25.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    double d34 = vector3D28.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D24.crossProduct((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = rotation9.applyInverseTo(vector3D28);
    double d37 = rotation9.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation9.applyInverseTo(vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d46 = vector3D42.distance1((org.apache.commons.math.geometry.Vector)vector3D45);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.orthogonal();
    java.lang.String str48 = vector3D45.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d55 = vector3D51.distance1((org.apache.commons.math.geometry.Vector)vector3D54);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = vector3D54.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d66 = vector3D62.distance1((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D67 = vector3D65.orthogonal();
    java.lang.String str68 = vector3D65.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = vector3D72.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D74);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D58, 0.0d, vector3D65, 100.0d, vector3D75);
    boolean b77 = vector3D58.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation78 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D79 = rotation78.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D58.crossProduct((org.apache.commons.math.geometry.Vector)vector3D79);
    double d81 = vector3D54.distanceInf((org.apache.commons.math.geometry.Vector)vector3D79);
    double d82 = vector3D45.distanceSq((org.apache.commons.math.geometry.Vector)vector3D79);
    double d83 = vector3D79.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = vector3D79.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D85 = rotation9.applyTo(vector3D84);
    double d86 = vector3D84.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.41341768979509175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "{0.86; 0; -0.51}"+ "'", str48.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "{0.86; 0; -0.51}"+ "'", str68.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.27536225542463216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == (-0.0d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test436"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    java.lang.String str11 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D1, 0.0d, vector3D8, 100.0d, vector3D18);
    boolean b20 = vector3D1.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation21 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = rotation21.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D1.crossProduct((org.apache.commons.math.geometry.Vector)vector3D22);
    double d24 = vector3D22.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = vector3D22.getZero();
    java.text.NumberFormat numberFormat26 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str27 = vector3D25.toString(numberFormat26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0.86; 0; -0.51}"+ "'", str11.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test437"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    boolean b6 = org.apache.commons.math.util.MathUtils.equals(d_array2, d_array5);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException14 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1920929E-7f, (java.lang.Number)(-9), 1879291247, orderDirection12, true);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array17);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array15, d_array18);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance1(d_array21, d_array26);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array26, d_array_array30);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection20, d_array_array30);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, orderDirection12, d_array_array30);
    double d34 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    double[] d_array36 = new double[] {  };
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array36);
    java.lang.Throwable throwable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    double[] d_array40 = new double[] {  };
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array40);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array40);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array40);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = org.apache.commons.math.util.MathUtils.copyOf(d_array44);
    double d46 = org.apache.commons.math.util.MathUtils.distance1(d_array40, d_array45);
    double[] d_array47 = new double[] {  };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array45, d_array_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(throwable38, localizable39, (java.lang.Object[])d_array_array49);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array36, d_array_array49);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, orderDirection35, d_array_array49);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkNotNull(obj0, localizable1, (java.lang.Object[])d_array_array49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test438"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.536743E-7f, 1063030291);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test439"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-100L), 1864710049423024228L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1864710049423024128L);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test440"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D7);
    java.lang.String str9 = vector3D8.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.distance1((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D16.orthogonal();
    boolean b19 = vector3D18.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-0.1715532342785887d), vector3D8, 275.0273267581053d, vector3D18);
    boolean b21 = vector3D8.isInfinite();
    double d22 = vector3D8.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str9.equals("{(NaN); (NaN); (NaN)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test441"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    boolean b9 = vector3D0.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    double d14 = vector3D0.distanceSq((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = vector3D21.add((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D0, vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.distance1((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D51.orthogonal();
    java.lang.String str54 = vector3D51.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D58.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D44, 0.0d, vector3D51, 100.0d, vector3D61);
    boolean b63 = vector3D44.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation64 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = rotation64.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D44.crossProduct((org.apache.commons.math.geometry.Vector)vector3D65);
    double d67 = vector3D40.distanceInf((org.apache.commons.math.geometry.Vector)vector3D65);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d74 = vector3D70.distance1((org.apache.commons.math.geometry.Vector)vector3D73);
    double d75 = vector3D40.dotProduct((org.apache.commons.math.geometry.Vector)vector3D70);
    double d76 = vector3D0.distanceSq((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation78 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D0, 2.93719851998592E8d);
    org.apache.commons.math.geometry.euclidean.threed.RotationOrder rotationOrder79 = null;
    double[] d_array80 = rotation78.getAngles(rotationOrder79);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation81 = rotation78.revert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{0.86; 0; -0.51}"+ "'", str54.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation81);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test442"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.dotProduct((org.apache.commons.math.geometry.Vector)vector3D5);
    double d7 = vector3D2.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test443"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number6 = nonMonotonousSequenceException5.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array13);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, d_array_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException5, localizable7, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException20 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable1, (java.lang.Object[])d_array_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0d+ "'", number6.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test444"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)6, (java.lang.Number)(-0.8414709848078964d), true);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test445"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.5309649148733837d, 1.1102230246251565E-16d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d13 = vector3D9.distance1((org.apache.commons.math.geometry.Vector)vector3D12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d21 = vector3D17.distance1((org.apache.commons.math.geometry.Vector)vector3D20);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D20.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D12.add((org.apache.commons.math.geometry.Vector)vector3D22);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D12.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.distance1((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D31.orthogonal();
    double d34 = vector3D33.getNorm();
    org.apache.commons.math.geometry.Space space35 = vector3D33.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D12.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D33);
    double d37 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D6, vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D2, vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 6.80296220485724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test446"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.015939408589396797d), 229.9929972082563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-6.930388645461532E-5d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test447"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d7 = vector3D3.dotProduct((org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D3);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D0, 2.2459549979877247d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.dotProduct((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D12.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException(localizable24, obj_array28);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array28);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D21, localizable22, obj_array28);
    double d32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D15, vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.dotProduct((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D33.crossProduct((org.apache.commons.math.geometry.Vector)vector3D36);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D41, vector3D42);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D15.subtract((org.apache.commons.math.geometry.Vector)vector3D42);
    double d45 = vector3D11.dotProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = vector3D51.orthogonal();
    java.lang.String str54 = vector3D51.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d62 = vector3D58.distance1((org.apache.commons.math.geometry.Vector)vector3D61);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation65 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D63, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation71 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(2.3978952727983707d, 100.0d, 101.37020327146091d, 0.015939408589396797d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation72 = rotation65.applyInverseTo(rotation71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d79 = vector3D75.distance1((org.apache.commons.math.geometry.Vector)vector3D78);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = vector3D78.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D81 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D87 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d88 = vector3D84.dotProduct((org.apache.commons.math.geometry.Vector)vector3D87);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = vector3D81.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    double d90 = vector3D84.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D91 = vector3D80.crossProduct((org.apache.commons.math.geometry.Vector)vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D92 = rotation65.applyInverseTo(vector3D84);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D93 = vector3D51.subtract(309.6897575736956d, (org.apache.commons.math.geometry.Vector)vector3D84);
    double d94 = vector3D15.distanceSq((org.apache.commons.math.geometry.Vector)vector3D84);
    double d95 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.angle(vector3D0, vector3D84);
    double d96 = vector3D0.getZ();
    double d97 = vector3D0.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{0.86; 0; -0.51}"+ "'", str54.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d95, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d96, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d97, Double.NaN, 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test448"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D6);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D7);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D7);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d16 = vector3D12.distance1((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = vector3D21.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.003849489875520362d, vector3D24);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d36 = vector3D32.dotProduct((org.apache.commons.math.geometry.Vector)vector3D35);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = vector3D29.crossProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException46 = new org.apache.commons.math.exception.NullArgumentException(localizable41, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math.exception.MathArithmeticException(localizable40, obj_array45);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D38, localizable39, obj_array45);
    double d49 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D32, vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D53 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d57 = vector3D53.dotProduct((org.apache.commons.math.geometry.Vector)vector3D56);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D58 = vector3D50.crossProduct((org.apache.commons.math.geometry.Vector)vector3D53);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    double d60 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distance(vector3D58, vector3D59);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D61 = vector3D32.subtract((org.apache.commons.math.geometry.Vector)vector3D59);
    double d62 = vector3D28.dotProduct((org.apache.commons.math.geometry.Vector)vector3D32);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D63 = vector3D24.add(1.9999999999999998d, (org.apache.commons.math.geometry.Vector)vector3D32);
    double d64 = vector3D15.distance((org.apache.commons.math.geometry.Vector)vector3D63);
    double d65 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.dotProduct(vector3D7, vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D66 = vector3D0.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation68 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D15, 1.1748181705985368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test449"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array1);
    double[] d_array3 = new double[] {  };
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    boolean b5 = org.apache.commons.math.util.MathUtils.equals(d_array1, d_array4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array12);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array12, d_array_array16);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array4, orderDirection6, d_array_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext20 = nullArgumentException19.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test450"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.0d, 3094.595276924238d, 1.1688552211684364d, 0.015939408589396797d, false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test451"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test452"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(509028L, (-275L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-139982700L));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.258208610710894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test454"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-508), 20L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.001156373938138339d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test456"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(9.999998f, 1768134597);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test457"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.9936139681890964d, 5.701238009072156d, 1.0172473163570097d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.distance1((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.dotProduct((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D12.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    double d21 = vector3D15.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D11.crossProduct((org.apache.commons.math.geometry.Vector)vector3D15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D15.getZero();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D23, localizable24, obj_array25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D3.subtract((org.apache.commons.math.geometry.Vector)vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test458"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(2, 19212541264840L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test459"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation9 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D7, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d17 = vector3D13.dotProduct((org.apache.commons.math.geometry.Vector)vector3D16);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = vector3D10.crossProduct((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D7.add((org.apache.commons.math.geometry.Vector)vector3D13);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d21 = vector3D20.getAlpha();
    double d22 = vector3D13.distanceSq((org.apache.commons.math.geometry.Vector)vector3D20);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D13.normalize();
    double d24 = vector3D13.getNorm();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.distance1((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D31.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.distance1((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D31.add((org.apache.commons.math.geometry.Vector)vector3D41);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d50 = vector3D46.dotProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = vector3D43.crossProduct((org.apache.commons.math.geometry.Vector)vector3D46);
    double d52 = vector3D41.distanceSq((org.apache.commons.math.geometry.Vector)vector3D43);
    java.lang.String str53 = vector3D41.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d61 = vector3D57.distance1((org.apache.commons.math.geometry.Vector)vector3D60);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = vector3D60.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D65 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d69 = vector3D65.distance1((org.apache.commons.math.geometry.Vector)vector3D68);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D70 = vector3D68.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = vector3D60.add((org.apache.commons.math.geometry.Vector)vector3D70);
    double d72 = vector3D60.getNormSq();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation73 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D74 = rotation73.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation80 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation81 = rotation73.applyInverseTo(rotation80);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation82 = rotation80.revert();
    double d83 = rotation82.getQ1();
    boolean b84 = vector3D60.equals((java.lang.Object)d83);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D((-11.106577445897859d), 0.7445033845407723d, 58.253623480698586d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D90 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.9092974268256819d, vector3D41, 3.194334276742609d, vector3D60, 0.9936139681890964d, vector3D89);
    double d91 = vector3D13.distance((org.apache.commons.math.geometry.Vector)vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "{0.51; 0; 0.86}"+ "'", str53.equals("{0.51; 0; 0.86}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 59.97120213869406d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test460"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.2169881508980025d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test461"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0f, 6400.0f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test462"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation0 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = rotation0.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation2 = rotation0.revert();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation3 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = rotation3.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation10 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation11 = rotation3.applyInverseTo(rotation10);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = rotation11.revert();
    double d13 = rotation12.getQ3();
    double d14 = org.apache.commons.math.geometry.euclidean.threed.Rotation.distance(rotation0, rotation12);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d22 = vector3D18.distance1((org.apache.commons.math.geometry.Vector)vector3D21);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.orthogonal();
    double d24 = vector3D23.getNorm();
    org.apache.commons.math.geometry.Space space25 = vector3D23.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, (-0.7615941559557649d), 138.0d);
    double d30 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceInf(vector3D23, vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d40 = vector3D36.distance1((org.apache.commons.math.geometry.Vector)vector3D39);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.orthogonal();
    java.lang.String str42 = vector3D39.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D46.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D32, 0.0d, vector3D39, 100.0d, vector3D49);
    double d51 = vector3D49.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D52 = vector3D23.crossProduct((org.apache.commons.math.geometry.Vector)vector3D49);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D55 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d63 = vector3D59.distance1((org.apache.commons.math.geometry.Vector)vector3D62);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D64 = vector3D62.orthogonal();
    java.lang.String str65 = vector3D62.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D71 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D72 = vector3D69.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D71);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D55, 0.0d, vector3D62, 100.0d, vector3D72);
    boolean b74 = vector3D55.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation75 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D76 = rotation75.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D77 = vector3D55.crossProduct((org.apache.commons.math.geometry.Vector)vector3D76);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D83 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d84 = vector3D80.distance1((org.apache.commons.math.geometry.Vector)vector3D83);
    double d85 = vector3D80.getX();
    double d86 = vector3D55.distanceInf((org.apache.commons.math.geometry.Vector)vector3D80);
    double d87 = vector3D80.getY();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D88 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8169805481334202d, vector3D52, 0.027978590842195894d, vector3D80);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D89 = rotation0.applyInverseTo(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.5485138917033876d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 137.1376811277123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{0.86; 0; -0.51}"+ "'", str42.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "{0.86; 0; -0.51}"+ "'", str65.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test463"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.0f), Float.NEGATIVE_INFINITY, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test464"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test465"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array2 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array5);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array12);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = org.apache.commons.math.util.MathUtils.copyOf(d_array16);
    double d18 = org.apache.commons.math.util.MathUtils.distance1(d_array12, d_array17);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array17, d_array_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array17);
    double d24 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array17);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array25, d_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array34 = new double[] {  };
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array34);
    boolean b36 = org.apache.commons.math.util.MathUtils.equals(d_array32, d_array35);
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array37);
    double[] d_array42 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array42, 0.0159394085893968d);
    double d45 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array44);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array44);
    boolean b47 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array7, d_array46);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array48);
    double[] d_array50 = new double[] {  };
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array50);
    boolean b52 = org.apache.commons.math.util.MathUtils.equals(d_array48, d_array51);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array55 = new double[] {  };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.copyOf(d_array55);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array55);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array55, 7);
    double d60 = org.apache.commons.math.util.MathUtils.distance(d_array51, d_array55);
    double d61 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test466"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(10.000001f, (-1946713039), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test467"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    double d7 = vector3D2.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable11, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array15);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)vector3D8, localizable9, obj_array15);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D8.scalarMultiply(2.3978952727983707d);
    double d21 = vector3D2.dotProduct((org.apache.commons.math.geometry.Vector)vector3D20);
    double d22 = vector3D2.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation33 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D31, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d41 = vector3D37.dotProduct((org.apache.commons.math.geometry.Vector)vector3D40);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D42 = vector3D34.crossProduct((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = vector3D31.add((org.apache.commons.math.geometry.Vector)vector3D37);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d45 = vector3D44.getAlpha();
    double d46 = vector3D37.distanceSq((org.apache.commons.math.geometry.Vector)vector3D44);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D47 = vector3D37.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = vector3D2.add(0.11077534077641144d, (org.apache.commons.math.geometry.Vector)vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.01875572108597101d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test469"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, 2.2459549979877247d, 0.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d10 = vector3D6.distance1((org.apache.commons.math.geometry.Vector)vector3D9);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.distance1((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D17.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D9.add((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D9.normalize();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d29 = vector3D25.distance1((org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.orthogonal();
    double d31 = vector3D30.getNorm();
    org.apache.commons.math.geometry.Space space32 = vector3D30.getSpace();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D9.add((-0.8623188722876839d), (org.apache.commons.math.geometry.Vector)vector3D30);
    double d34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.distanceSq(vector3D3, vector3D33);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = vector3D3.scalarMultiply((-0.37464957002650534d));
    double d37 = vector3D36.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 6.80296220485724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.0d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-5047021154770878464L), (-557104359410195465L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test471"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d8 = vector3D4.distance1((org.apache.commons.math.geometry.Vector)vector3D7);
    double d9 = vector3D4.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.8686709614860095d, vector3D4);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d18 = vector3D14.dotProduct((org.apache.commons.math.geometry.Vector)vector3D17);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = vector3D11.crossProduct((org.apache.commons.math.geometry.Vector)vector3D14);
    boolean b20 = vector3D11.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.crossProduct(vector3D10, vector3D11);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = vector3D11.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7853981633974483d, vector3D22, (-0.9995803351417584d), vector3D24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test472"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D1 = null;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d9 = vector3D5.distance1((org.apache.commons.math.geometry.Vector)vector3D8);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d20 = vector3D16.distance1((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D19.orthogonal();
    java.lang.String str22 = vector3D19.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = vector3D26.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D28);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D12, 0.0d, vector3D19, 100.0d, vector3D29);
    boolean b31 = vector3D12.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation32 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = rotation32.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = vector3D12.crossProduct((org.apache.commons.math.geometry.Vector)vector3D33);
    double d35 = vector3D8.distanceInf((org.apache.commons.math.geometry.Vector)vector3D33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.105058276687d, vector3D1, 0.0d, vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{0.86; 0; -0.51}"+ "'", str22.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.5063656411097588d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test473"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-557104359410196479L), 20L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test474"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.006671503387875113d), 0.9058914717852132d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test475"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)100.0d, (java.lang.Number)0, 0);
    java.lang.Number number4 = nonMonotonousSequenceException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    double[] d_array6 = new double[] {  };
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array11);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array11, d_array_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)nonMonotonousSequenceException3, localizable5, (java.lang.Object[])d_array_array15);
    java.lang.Throwable[] throwable_array18 = nonMonotonousSequenceException3.getSuppressed();
    boolean b19 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0d+ "'", number4.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test476"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(229.9929972082563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-495423333));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test477"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double d2 = org.apache.commons.math.util.MathUtils.safeNorm(d_array0);
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array4);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7);
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double d13 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array7);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException17 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)362880.0d, (java.lang.Number)0.888919599565099d, (-2));
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = nonMonotonousSequenceException17.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = org.apache.commons.math.util.MathUtils.checkOrder(d_array7, orderDirection18, false, true);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test478"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2006156899));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test479"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.7490713638976738d, 0.9997517568146561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test480"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(1063030291, (-1879291247));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test481"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.7632092065819142d, 0.8398328944570213d, 0.6998288313467088d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test482"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(10.0f, 0.0f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test483"); }


    double[] d_array3 = new double[] { 1.0d, 10.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array3, 0.0159394085893968d);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array5, (-0.6508801680230075d));
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d19 = vector3D15.distance1((org.apache.commons.math.geometry.Vector)vector3D18);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D20 = vector3D18.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d30 = vector3D26.distance1((org.apache.commons.math.geometry.Vector)vector3D29);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.orthogonal();
    java.lang.String str32 = vector3D29.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = vector3D36.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D38);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D22, 0.0d, vector3D29, 100.0d, vector3D39);
    boolean b41 = vector3D22.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation42 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = rotation42.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D44 = vector3D22.crossProduct((org.apache.commons.math.geometry.Vector)vector3D43);
    double d45 = vector3D18.distanceInf((org.apache.commons.math.geometry.Vector)vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d52 = vector3D48.distance1((org.apache.commons.math.geometry.Vector)vector3D51);
    double d53 = vector3D18.dotProduct((org.apache.commons.math.geometry.Vector)vector3D48);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D54 = rotation12.applyInverseTo(vector3D48);
    double d55 = rotation12.getAngle();
    double[][] d_array_array56 = rotation12.getMatrix();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, (java.lang.Object[])d_array_array56);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException58 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable10, (java.lang.Object[])d_array_array56);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException59 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)1.192093E-7f, (java.lang.Object[])d_array_array56);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "{0.86; 0; -0.51}"+ "'", str32.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test484"); }


    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d6 = vector3D2.distance1((org.apache.commons.math.geometry.Vector)vector3D5);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.orthogonal();
    java.lang.String str8 = vector3D5.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d15 = vector3D11.distance1((org.apache.commons.math.geometry.Vector)vector3D14);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d26 = vector3D22.distance1((org.apache.commons.math.geometry.Vector)vector3D25);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D27 = vector3D25.orthogonal();
    java.lang.String str28 = vector3D25.toString();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D35 = vector3D32.add(0.7634712629280956d, (org.apache.commons.math.geometry.Vector)vector3D34);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(100.0d, vector3D18, 0.0d, vector3D25, 100.0d, vector3D35);
    boolean b37 = vector3D18.isNaN();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation38 = org.apache.commons.math.geometry.euclidean.threed.Rotation.IDENTITY;
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D39 = rotation38.getAxis();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = vector3D18.crossProduct((org.apache.commons.math.geometry.Vector)vector3D39);
    double d41 = vector3D14.distanceInf((org.apache.commons.math.geometry.Vector)vector3D39);
    double d42 = vector3D5.distanceSq((org.apache.commons.math.geometry.Vector)vector3D39);
    double d43 = vector3D39.getNormInf();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D39.scalarMultiply(2.9371985199859196E8d);
    double d46 = vector3D39.getZ();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0.86; 0; -0.51}"+ "'", str8.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "{0.86; 0; -0.51}"+ "'", str28.equals("{0.86; 0; -0.51}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.5063656411097588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.27536225542463216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test485"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-0.18700029835284204d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test486"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    double[] d_array2 = new double[] {  };
    double[] d_array3 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array2);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5);
    boolean b9 = org.apache.commons.math.util.MathUtils.equals(d_array4, d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection16 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException18 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.1920929E-7f, (java.lang.Number)(-9), 1879291247, orderDirection16, true);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(d_array19, d_array22);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection24 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array25 = new double[] {  };
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array25, d_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array30, d_array_array34);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, orderDirection24, d_array_array34);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array11, orderDirection16, d_array_array34);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    double[] d_array39 = new double[] {  };
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array39);
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    double[] d_array43 = new double[] {  };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array43);
    double[] d_array45 = org.apache.commons.math.util.MathUtils.copyOf(d_array43);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array43);
    double[] d_array47 = new double[] {  };
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distance1(d_array43, d_array48);
    double[] d_array50 = new double[] {  };
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array48, d_array_array52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(throwable41, localizable42, (java.lang.Object[])d_array_array52);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, d_array_array52);
    org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException notARotationMatrixException56 = new org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException(localizable38, (java.lang.Object[])d_array_array52);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, orderDirection16, d_array_array52);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-30.422278401574356d), localizable1, (java.lang.Object[])d_array_array52);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.euclidean.threed.Rotation rotation60 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(d_array_array52, 1.273845510923536d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException");
    } catch (org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.geometry.euclidean.threed.NotARotationMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test487"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable1, (java.lang.Number)(-0.0f), number3, true);
    java.lang.Number number6 = numberIsTooSmallException5.getMin();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathIllegalArgumentException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test488"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.6477675184971065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.011305675985247779d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test489"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1084453357, (-441455157));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-441455157));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test490"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(7.9999995f, (-7.9999995f), 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test491"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test492"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test493"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1084453365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test494"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-127), 4732835100523750L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-730247935));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test495"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(5.041613884384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial(1080115200);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(5.442387394946508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test498"); }


    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation5 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d6 = rotation5.getQ0();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation12 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(0.8623188722876839d, 0.0d, 2.1457116371479565d, 1.5485138917033876d, false);
    double d13 = rotation12.getQ3();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d20 = vector3D16.distance1((org.apache.commons.math.geometry.Vector)vector3D19);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D21 = vector3D19.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation23 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D21, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation24 = rotation12.applyTo(rotation23);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation25 = rotation5.applyInverseTo(rotation23);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D31 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d32 = vector3D28.distance1((org.apache.commons.math.geometry.Vector)vector3D31);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D33 = vector3D31.orthogonal();
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation35 = new org.apache.commons.math.geometry.euclidean.threed.Rotation(vector3D33, 0.9999999999999999d);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation36 = rotation23.applyInverseTo(rotation35);
    org.apache.commons.math.geometry.euclidean.threed.Rotation rotation37 = rotation35.revert();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math.geometry.euclidean.threed.Vector3D(0.0d, 100.0d);
    double d44 = vector3D40.distance1((org.apache.commons.math.geometry.Vector)vector3D43);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.orthogonal();
    double d46 = vector3D45.getNorm();
    double d47 = vector3D45.getX();
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D49 = vector3D45.scalarMultiply(0.08209928991677895d);
    org.apache.commons.math.geometry.euclidean.threed.Vector3D vector3D50 = rotation37.applyInverseTo(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.5485138917033876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(rotation37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.5063656411097589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test499"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1864690836881759388L);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test500"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7634712629280956d, (java.lang.Number)2.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)(-1) };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1, localizable8, obj_array10);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(-101), obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(localizable4, obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathException13);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)mathException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

}
